1999-12-31 21:00  Christoph Toshok <toshok@hungry.com>

	* configure.in: sparc64/linux patch from Scott Michel

1999-12-31 20:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/ioStubs.c,
	java.lang.reflect/reflectStubs.c, java.lang/langStubs.c,
	java.net/netStubs.c, java.security/secStubs.c,
	java.util.zip/zipStubs.c, java.util/utilStubs.c,
	sun.awt.motif/awtStubs.c, sun.debug.agent/agentStubs.c,
	sysresource/sysresStubs.c: remove mappings.

1999-12-29 02:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/signals.c: Include stdio.h to define NULL, and give compile
	error if no known way to trigger signal handler is known.

1999-12-29 02:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Check for -lpthread.  Patch for Linux/SPARC from
	Scott Michel <scottm@rushe.aero.org>.

1999-12-21 05:52  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMPlugin.cpp, japharJVMPlugin.h,
	japharJVMPluginInstance.cpp, japharJVMPluginInstance.h,
	japharPlugin.cpp: fix up so it at least comes close to working with
	current mozilla cvs.

1999-12-21 05:52  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharSecureEnv.cpp: fix ReleaseStringUTFChars type.

1999-12-21 05:51  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/appletcontext.cpp: fix type.

1999-12-20 21:37  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: apply patch from John Keiser
	<jkeiser@iname.com> to fix reflection.	this gets classpath going
	with japhar again.  most of the reflection stuff should be moved
	into libruntime under the runtime.h api, but that can wait for a
	while.

1999-12-19 23:32  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h, lib/libnative/java.io/filein.c,
	lib/libruntime/clparse.c, lib/libruntime/interpfunc.c: apply latest
	patch from Jochen Hoenicke <jochen@gnu.org>

1999-12-19 23:00  Christoph Toshok <toshok@hungry.com>

	* configure.in, arch/strerror.c: remove (requires NSPR) from oji
	help since nspr is always required now.  also, remove the test and
	single include for string.h

1999-11-25 21:08  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c, arch/scandir.c: more patches from
	Jochen

1999-11-24 18:56  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jninativ.c: mark JNI registered functions as
	jni_call == TRUE, patch contributed by Jochen Hoenicke.

1999-11-22 22:12  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: clean up areturn and change some
	comments.

1999-11-22 07:16  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: incorporate part of Jochen
	Hoenicke's patch.  I can't believe i missed this one, but he gets
	my undying gratitude award :)

1999-11-06 22:24  Christoph Toshok <toshok@hungry.com>

	* INSTALL: update INSTALL file to mention --with-nspr= and the
	NSPR_LOG_MODULE logging switch.

1999-11-04 10:35  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: fix some casts to make sure we don't
	lose the sign

1999-11-04 06:59  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: src/jnistr.c, include/jni.h, include/jniint.h: more
	jbyte* => char* changes for the UTFChars functions

1999-11-03 18:33  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: 80 column police

1999-11-03 10:47  Christoph Toshok <toshok@hungry.com>

	* www/src/supported.src: make the platform table make a bit more
	sense.

1999-11-03 10:41  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: uh... *why* was i hardcoding
	.so in here??? :)

1999-11-03 10:08  Christoph Toshok <toshok@hungry.com>

	* config.guess, config.sub: update config.guess and config.sub from
	autoconf-2.13

1999-11-03 06:13  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: add (back in :) gc.c

1999-11-03 06:08  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h, include/runtimeint.h, lib/libruntime/gc.c,
	lib/libruntime/init.c, lib/libnative/java.lang/runtime.c: add
	HVM_GC* api

1999-11-03 00:54  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: interpfunc.c, objects.c: fix
	ExceptionInInitializerError screw-ups, and if HVM_ObjectNew returns
	NULL, assume an exception has already been thrown.

1999-11-02 23:01  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c: fix formatting and (oh my) change a ,
	to a ; in a lot of places

1999-11-02 03:55  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: use PR_{BEGIN/END}_EXTERN_C, and fix
	the type of ReleaseStringUTFChars for C++ too.

1999-11-02 03:53  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: only add dependencies on the nativelibs
	if we need to actually link them into the executable, and only use
	CXX on the link line if we're building the jni stuff.

1999-11-02 03:52  Christoph Toshok <toshok@hungry.com>

	* configure.in: don't bother checking for CXX unless we're building
	the jni stuff.

1999-11-02 03:49  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: return => break, and if the
	throwable is NULL in the athrow opcode, throw NullPointerException
	instead

1999-11-01 22:01  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/: adler32.c, crc32.c, deflater.c,
	inflater.c, zipfile.c: runtime.h is all that's needed.

1999-10-26 20:13  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, include/runtime.h, include/zipfile.h,
	lib/libruntime/clparse.c, lib/libruntime/sysclsloader.c,
	lib/libruntime/zextract.c, lib/libjni/src/jniclass.c: change types
	in class loading/parsing to be mostly nspr types, and change
	define_class to HVM_ClassDefine

1999-10-26 19:31  Christoph Toshok <toshok@hungry.com>

	* configure.in: add the nspr include dir to JAPHAR_CFLAGS, so it
	makes it into japhar-config

1999-10-26 19:30  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, include/jniint.h, src/jnistr.c:
	correct type for ReleaseStringUTFChars

1999-10-25 09:07  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: oops

1999-10-25 08:52  Christoph Toshok <toshok@hungry.com>

	* configure.in: mozilla foo

1999-10-25 08:52  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMConsole.cpp,
	japharJVMPlugin.cpp, japharJVMPlugin.h,
	japharJVMPluginInstance.cpp, japharSecureEnv.h: get this stuff
	compiling again.

1999-10-25 08:31  Christoph Toshok <toshok@hungry.com>

	* include/runtime.h, include/runtimeint.h,
	lib/libruntime/objects.c, lib/libruntime/sysclsloader.c: a little
	more cleanup

1999-10-25 07:36  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurb about api change

1999-10-25 07:09  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, include/Makefile.am, include/alloc.h,
	include/arch.h, include/array-class.h, include/arrays.h,
	include/classpath.h, include/exceptions.h, include/field.h,
	include/init.h, include/interp-types.h, include/interp.h,
	include/jstrings.h, include/method.h, include/objects.h,
	include/op_stack.h, include/primitive-class.h, include/runtime.h,
	include/runtimeint.h, include/sig.h, include/sysclsloader.h,
	include/util.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnimon.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jnirefl.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, lib/libjvmdi/src/jvmdibkp.c,
	lib/libjvmdi/src/jvmdicls.c, lib/libjvmdi/src/jvmdiev.c,
	lib/libjvmdi/src/jvmdifld.c, lib/libjvmdi/src/jvmdiloc.c,
	lib/libjvmdi/src/jvmdimm.c, lib/libjvmdi/src/jvmdimsc.c,
	lib/libjvmdi/src/jvmdimth.c, lib/libjvmdi/src/jvmdisfm.c,
	lib/libjvmdi/src/jvmdithr.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/common.h, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/filein.c,
	lib/libnative/java.io/fileout.c, lib/libnative/java.io/objistrm.c,
	lib/libnative/java.io/objstrm.c, lib/libnative/java.io/random.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.security/accesscontroller.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/sun.awt.font/nativewrapper.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/choice.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/list.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/offscreen.c,
	lib/libnative/sun.awt.motif/textarea.c,
	lib/libnative/sun.awt.motif/textfield.c, lib/libruntime/abort.c,
	lib/libruntime/alloc.c, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/field.c, lib/libruntime/init.c,
	lib/libruntime/interploop.c, lib/libruntime/jstrings.c,
	lib/libruntime/method.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/primitive-class.c,
	lib/libruntime/printf.c, lib/libruntime/sig.c,
	lib/libruntime/sysclsloader.c, lib/libruntime/thread.c,
	progs/japhar/Makefile.am, progs/japhar/japhar.c: glomb most of the
	external japhar api into one header (runtime.h) and most of the
	internal api into one header (runtimeint.h).  there are a few
	holdouts (op_stack.h and ClazzFile.h) but those will move over
	soon.

1999-10-25 05:56  Christoph Toshok <toshok@hungry.com>

	* include/interp-types.h, include/interp.h, include/sig.h,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnismeth.c, lib/libnative/java.lang/class.c,
	lib/libruntime/arrays.c, lib/libruntime/clparse.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/sig.c: switch signatures over to new style api.

1999-10-25 05:19  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h, lib/libnative/java.io/common.c,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/objistrm.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.io/win32filesystem.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util.zip/zipfile.c,
	lib/libnative/sun.awt.font/nativewrapper.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/choice.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/graphics.c,
	lib/libnative/sun.awt.motif/image.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/list.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/offscreen.c,
	lib/libnative/sun.awt.motif/textarea.c,
	lib/libnative/sun.awt.motif/textfield.c,
	lib/libnative/sysresource/sysresources.c,
	lib/libruntime/classpath.c, lib/libruntime/exceptions.c,
	lib/libruntime/init.c, lib/libruntime/interpfunc.c,
	progs/japhar/japhar.c: recover from the huge api rework.

1999-10-25 03:37  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: major api reworking

1999-10-25 03:37  Christoph Toshok <toshok@hungry.com>

	* arch/rint.c: we need to export this function

1999-10-25 03:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c, lib/libruntime/alloc.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/field.c, lib/libruntime/init.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/jstrings.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/primitive-class.c, lib/libruntime/printf.c,
	lib/libruntime/sig.c, lib/libruntime/thread.c,
	lib/libjvmdi/src/jvmdicls.c, lib/libjvmdi/src/jvmdifld.c,
	lib/libjvmdi/src/jvmdimsc.c, lib/libjvmdi/src/jvmdimth.c,
	lib/libjvmdi/src/jvmdisfm.c, lib/libjvmdi/src/jvmdithr.c,
	lib/libjni/include/jniint.h, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivm.c, lib/libjni/src/jnivtbl.c,
	include/ClazzFile.h, include/alloc.h, include/arch.h,
	include/arrays.h, include/compat.h, include/exceptions.h,
	include/field.h, include/init.h, include/interp-types.h,
	include/interp.h, include/jstrings.h, include/method.h,
	include/objects.h, include/primitive-class.h, include/sig.h,
	progs/japhar/japhar.c: major api reworking.

1999-10-25 01:04  Christoph Toshok <toshok@hungry.com>

	* include/sysclsloader.h, lib/libruntime/sysclsloader.c: new class
	loading api.

1999-10-25 00:38  Christoph Toshok <toshok@hungry.com>

	* include/classpath.h, lib/libruntime/classpath.c: new classpath
	api.

1999-10-24 08:13  Christoph Toshok <toshok@hungry.com>

	* configure.in, lib/libruntime/zextract.c, arch/Makefile.am,
	arch/resolvepath.c, arch/scandir.c: fix unix build.

1999-10-24 07:01  Christoph Toshok <toshok@hungry.com>

	* arch/: signals.c, resolvepath.c, dynamic_loading.c: nspr-ize

1999-10-24 07:01  Christoph Toshok <toshok@hungry.com>

	* arch/: alphasort.c, scandir.c: always use our own scandir and
	alphasort, using NSPR.

1999-10-24 06:58  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: use nspr libc counterparts.

1999-10-24 06:57  Christoph Toshok <toshok@hungry.com>

	* win32projects/: Japhar/Japhar.dsp, Japhar/Japhar.dsw,
	Japhar/Japhar.ncb, Japhar/Japhar.opt, Japhar/Japhar.plg,
	Japhar/config.h, JapharProg/JapharProg.dsp,
	JapharProg/JapharProg.dsw, JapharProg/JapharProg.ncb,
	JapharProg/JapharProg.opt, JapharProg/JapharProg.plg: add win32
	projects.  hardcoded paths abound, use at your own risk.

1999-10-24 06:54  Christoph Toshok <toshok@hungry.com>

	* lib/: libjni/src/jniarray.c, libjni/src/jniclass.c,
	libjni/src/jnifield.c, libjni/src/jniinvoc.c, libjni/src/jnimeth.c,
	libjni/src/jninativ.c, libjni/src/jniobj.c, libjni/src/jniref.c,
	libjni/src/jnirefl.c, libjni/src/jnisfld.c, libjni/src/jnismeth.c,
	libjni/src/jnistr.c, libjni/src/jnithrow.c, libjvmdi/src/jvmdi.c,
	libjvmdi/src/jvmdibkp.c, libjvmdi/src/jvmdicls.c,
	libjvmdi/src/jvmdiev.c, libjvmdi/src/jvmdifld.c,
	libjvmdi/src/jvmdiloc.c, libjvmdi/src/jvmdimm.c,
	libjvmdi/src/jvmdimsc.c, libjvmdi/src/jvmdimth.c,
	libjvmdi/src/jvmdisfm.c, libjvmdi/src/jvmdithr.c: win32 changes --
	make use of NSPR functions and generally clean up the code to
	remove win32 warnings.

1999-10-24 06:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: abort.c, alloc.c, array-class.c, arrays.c,
	classpath.c, clparse.c, exceptions.c, field.c, init.c,
	interpfunc.c, interploop.c, jstrings.c, method.c, nativeglue.c,
	objects.c, primitive-class.c, sig.c, sysclsloader.c, zextract.c:
	remove unneeded headers and a spurious ;

1999-10-24 06:52  Christoph Toshok <toshok@hungry.com>

	* include/: init.h, op_stack.h, qop.h, util.h, zipfile.h:
	HAVE_CONFIG_H

1999-10-24 06:52  Christoph Toshok <toshok@hungry.com>

	* include/compat.h: Always define our own scandir and alphasort,
	and make them use NSPR's types.

1999-10-24 06:51  Christoph Toshok <toshok@hungry.com>

	* include/arch.h: HAVE_CONFIG_H and PR_EXTERN() DLL_path_separator,
	since it's used in japhar.c and needs to be exposed (on windows)

1999-10-22 09:53  Christoph Toshok <toshok@hungry.com>

	* include/init.h, include/interp.h, include/jstrings.h,
	include/op_stack.h, lib/libjni/include/jni.h,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnistr.c,
	lib/libnative/java.lang/runtime.c, lib/libruntime/abort.c,
	lib/libruntime/array-class.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/init.c, lib/libruntime/jstrings.c,
	lib/libruntime/method.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/primitive-class.c,
	lib/libruntime/printf.c, lib/libruntime/sig.c: completely severe
	the jni from the libruntime code.  there are now no variable
	references, no includes, no calls into jni functions from
	libruntime.  this involved moving some things out of jnistr.c and
	putting them into jstrings.c.  also, make the resulting jstring
	functions faster by caching ClazzFile's, MethodStructs and
	FieldStructs.  this is a good thing, since cstring2jstring gets
	called about a billion times.

1999-10-21 10:10  Christoph Toshok <toshok@hungry.com>

	* progs/Makefile.am: remove japharh and japhard from SUBDIRS

1999-10-21 10:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.h: don't use native-threads.h

1999-10-21 10:08  Christoph Toshok <toshok@hungry.com>

	* configure.in: don't generate Makefiles for japhard and japharh. 
	we need to stop flip flopping on this :)

1999-10-20 04:08  Christoph Toshok <toshok@hungry.com>

	* TODO: add rough (and woefully incomplete) todo list

1999-10-20 02:57  Christoph Toshok <toshok@hungry.com>

	* configure.in: remove check for vsnprintf

1999-10-20 02:56  Christoph Toshok <toshok@hungry.com>

	* lib/: libnative/java.io/common.c, libnative/java.lang/class.c,
	libnative/java.lang/runtime.c, libnative/java.lang.reflect/array.c,
	libnative/java.lang.reflect/constructor.c,
	libnative/java.net/addr.c, libnative/java.net/socket.c,
	libruntime/exceptions.c, libruntime/interpfunc.c,
	libruntime/nativeglue.c, libruntime/sig.c: switch from
	snprintf/vsnprintf to PR_snprintf/PR_vsnprintf

1999-10-20 02:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: wrap call to SM_CleanupGC with
	WITH_SPORTSMODEL

1999-10-20 02:49  Christoph Toshok <toshok@hungry.com>

	* configure.in: fix up with --with-nspr and --with-sm checks, and
	don't check for snprintf or vsnprintf anymore.

1999-10-20 02:46  Christoph Toshok <toshok@hungry.com>

	* arch/snprintf.c, include/compat.h: use PR_snprintf and
	PR_vsnprintf instead of replacement snprintf/vsnprintf.

1999-10-20 02:45  Christoph Toshok <toshok@hungry.com>

	* arch/: dynamic_loading.c, signals.c: don't include obsolete
	headers.

1999-10-20 02:36  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jnimeth.c, jniobj.c: snprintf => PR_snprintf

1999-10-20 02:35  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, include/jniint.h, src/jniarray.c,
	src/jniclass.c, src/jnicpp.cpp, src/jnifield.c, src/jniinvoc.c,
	src/jnimeth.c, src/jnimon.c, src/jninativ.c, src/jniobj.c,
	src/jniref.c, src/jnirefl.c, src/jnisfld.c, src/jnismeth.c,
	src/jnistr.c, src/jnithrow.c, src/jnivm.c, src/jnivtbl.c: reformat
	things, remove unneeded reference to sm.h in jniinvoc.c

1999-10-20 02:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: abort.c, alloc.c, array-class.c, arrays.c,
	classpath.c, clparse.c, exceptions.c, field.c, init.c,
	interpfunc.c, interploop.c, interploop.h, jstrings.c, method.c,
	nativeglue.c, objects.c, primitive-class.c, printf.c, sig.c,
	sysclsloader.c, thread.c, zextract.c: switch modelines, untabify,
	and reindent.

1999-10-20 02:26  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: don't reference obsolete header.

1999-10-20 02:26  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h: use PRUint32 instead of juint

1999-10-20 02:16  Christoph Toshok <toshok@hungry.com>

	* include/: ClazzFile.h, Makefile.am, alloc.h, arch.h,
	array-class.h, arrays.h, classpath.h, compat.h, dynamic_loading.h,
	exceptions.h, field.h, init.h, interp-types.h, interp.h,
	jstrings.h, method.h, native-threads.h, objects.h, op_stack.h,
	primitive-class.h, qop.h, sig.h, signals.h, sysclsloader.h, util.h,
	zipfile.h: remove unnecessary headers and reformat the existing
	ones.

1999-10-20 02:04  Christoph Toshok <toshok@hungry.com>

	* arch/: alphasort.c, dynamic_loading.c, fmodf.c, resolvepath.c,
	rint.c, scandir.c, signals.c, snprintf.c, strerror.c: change the
	mode to include indent-tabs-mode:nil and reformat the files.

1999-10-19 04:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: use PR_Now instead of the
	#ifdef currentTimeMillis we're using now, and fix compiler
	warnings.

1999-10-19 04:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: remove JGC references and
	ifdef stuff with WITH_SPORTSMODEL.

1999-10-19 04:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c, progs/japhar/japhar.c: don't
	use PR_Yield.  use PR_Sleep(PR_INTERVAL_NO_WAIT)

1999-10-19 04:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: quiet compiler.

1999-10-19 04:29  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c: find_class_in_repository
	=> find_loaded_class

1999-10-18 10:04  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, lib/libjni/include/Makefile.am,
	lib/libjni/include/jni.h, lib/libjni/include/jnitypes.frag,
	lib/libjni/include/jnitypes.h.in: add a WITH_SPORTSMODEL switch so
	people don't have to build with sportsmodel until it's all the way
	there, and remove the jnitypes.h header, since we always know what
	the types are -- they're the nspr types.

1999-10-18 10:02  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: make this switch statement a little
	smaller

1999-10-18 09:33  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: use PR_LOG, not fprintf

1999-10-18 09:31  Christoph Toshok <toshok@hungry.com>

	* include/Makefile.am, include/gc.h, include/getopt.h,
	include/interp.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jniref.c,
	lib/libruntime/clparse.c, lib/libruntime/gc.c,
	lib/libruntime/init.c, lib/libruntime/ksgc.c,
	lib/libruntime/objects.c, lib/libruntime/stubgc.c: remove the
	multi-gc code, and start setting things up for sportsmodel.

1999-10-18 09:31  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: remove the unneeded motif references.

1999-10-18 09:25  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: don't worry about the return value
	since an exception was raised.

1999-10-18 09:24  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/jstrings.c: mention type explicitly

1999-10-18 01:08  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: compress a few methods, and fix #if
	foo - man that was difficult to find.

1999-10-15 05:13  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, arch/dynamic_loading.c,
	include/ClazzFile.h, include/Makefile.am, include/arch.h,
	include/init.h, include/interp.h, include/method.h,
	include/sysclsloader.h, lib/Makefile.am, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjvmdi/src/jvmdicls.c, lib/libjvmdi/src/jvmdifld.c,
	lib/libnative/java.io/common.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.net/socket.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/zipfile.c, lib/libruntime/Makefile.am,
	lib/libruntime/abort.c, lib/libruntime/array-class.c,
	lib/libruntime/clparse.c, lib/libruntime/gc.c,
	lib/libruntime/init.c, lib/libruntime/jstrings.c,
	lib/libruntime/method.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/primitive-class.c,
	lib/libruntime/sig.c, lib/libruntime/sysclsloader.c,
	progs/Makefile.am, progs/japhar/Makefile.am, progs/japhar/japhar.c:
	add --with-sm to specify the sportsmodel gc install path, fix
	compiler warnings, divorce the interpreter further from the jni,
	and clean things up more.  things don't build yet, so don't even
	try :)	just checking in so i can build/run on a purifyable
	platform.

1999-10-14 07:42  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c: jvalue => InterpValue.

1999-10-14 07:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: clean things up a bit, and actually
	allocate objects of the correct size -- we were still allocating
	them large enough to handle the storage from the old object
	representation.  duh.

1999-10-14 07:40  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: don't use jni symbols.

1999-10-14 07:40  Christoph Toshok <toshok@hungry.com>

	* include/jstrings.h, lib/libruntime/jstrings.c: unsigned int =>
	PRUint32

1999-10-14 07:39  Christoph Toshok <toshok@hungry.com>

	* include/: interp.h, objects.h: remove the gc.h include from
	objects.h and put it in interp.h

1999-10-14 07:39  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: untabbify and more nspr foo.

1999-10-13 04:59  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, include/arrays.h, include/exceptions.h,
	include/field.h, include/interp-types.h, include/interp.h,
	include/method.h, include/objects.h, include/op_stack.h,
	include/primitive-class.h, include/sysclsloader.h,
	lib/libjni/include/jnitypes.frag, lib/libjni/src/jnifield.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libnative/java.lang/object.c,
	lib/libruntime/arrays.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/field.c,
	lib/libruntime/init.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/jstrings.c,
	lib/libruntime/ksgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/sysclsloader.c: more work
	on divorcing the jni from libruntime.

1999-10-13 03:17  Christoph Toshok <toshok@hungry.com>

	* include/arrays.h, include/interp.h, lib/libruntime/arrays.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/field.c, lib/libruntime/init.c,
	lib/libruntime/interploop.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/sig.c: remove most
	references to jni types from the interpreter.

1999-10-13 02:07  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: getenv => PR_GetEnv

1999-10-12 23:26  Christoph Toshok <toshok@hungry.com>

	* include/Makefile.am, include/class-repository.h,
	include/interp.h, include/resolve.h, include/sysclsloader.h,
	lib/libjni/include/jniint.h, lib/libjni/src/jniclass.c,
	lib/libjni/src/jniinvoc.c, lib/libjvmdi/src/jvmdimsc.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/system.c, lib/libruntime/Makefile.am,
	lib/libruntime/alloc.c, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/class-repository.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/init.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/jstrings.c,
	lib/libruntime/ksgc.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/primitive-class.c, lib/libruntime/resolve.c,
	lib/libruntime/sig.c, lib/libruntime/sysclsloader.c: remove all
	hardcoded classnames from the libruntime stuff, and make them CPP
	#defines in interp.h.  also, consolidate the 'class-repository'
	stuff and the 'resolve' stuff into one file/api:  the 'system
	classloader' stuff.

1999-10-07 09:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: clparse.c, field.c: look up constants when we
	load the class.

1999-10-07 09:25  Christoph Toshok <toshok@hungry.com>

	* include/objects.h: edit comments

1999-10-07 01:42  Christoph Toshok <toshok@hungry.com>

	* configure.in: bump up the version, and fail if we can't find
	nspr3 and plds3.  also, remove all the various and sundry thread
	library checks.

1999-10-07 01:21  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, include/op_stack.h, lib/libruntime/Makefile.am,
	lib/libruntime/abort.c, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c: remove the HungryEnv parameter to the
	op_stack functions, and clean up the OPCODE macros.  also, don't
	generate the interploop.h header or use a special rule to build
	interploop.lo

1999-10-06 20:28  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c: remove wide_vindex_set from the stack
	frame, and remove the checks from the opcodes that act different in
	the face of 'wide'.  move all the special handling into the wide
	opcode.  the idea is the normal case shouldn't have to do the check
	constantly.  wide opcodes aren't that frequent, so we shouldn't
	make the normal case slower because of them.

1999-10-06 20:27  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnimon.c: fix return values, and throw exceptions
	if we fail.

1999-10-06 11:55  Christoph Toshok <toshok@hungry.com>

	* include/objects.h, lib/libjni/src/jnimon.c,
	lib/libnative/java.lang/object.c, lib/libnative/java.lang/thread.c,
	lib/libruntime/interpfunc.c, lib/libruntime/method.c,
	lib/libruntime/objects.c, lib/libruntime/thread.c: use nspr cached
	monitors instead of storing the monitor in the object.	this saves
	space for objects that don't have monitors at the expense of a
	performance hit for objects that do.

1999-10-06 11:26  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, include/op_stack.h, lib/libruntime/init.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c: convert the opstack functions into
	macros

1999-10-06 09:16  Christoph Toshok <toshok@hungry.com>

	* NEWS, configure.in, arch/Makefile.am, arch/dynamic_loading.c,
	arch/monitor_test.c, arch/monitors.c, arch/thread_test.c,
	arch/threads.c, include/ClazzFile.h, include/Makefile.am,
	include/alloc.h, include/arch.h, include/array-class.h,
	include/arrays.h, include/class-repository.h, include/classpath.h,
	include/compat.h, include/exceptions.h, include/field.h,
	include/gc.h, include/init.h, include/interp-types.h,
	include/interp.h, include/jstrings.h, include/log.h,
	include/method.h, include/objects.h, include/op_stack.h,
	include/primitive-class.h, include/resolve.h, include/sig.h,
	include/zipfile.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniclass.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jnistr.c, lib/libjvmdi/src/jvmdi.c,
	lib/libjvmdi/src/jvmdibkp.c, lib/libjvmdi/src/jvmdicls.c,
	lib/libjvmdi/src/jvmdiev.c, lib/libjvmdi/src/jvmdiloc.c,
	lib/libjvmdi/src/jvmdimsc.c, lib/libjvmdi/src/jvmdimth.c,
	lib/libjvmdi/src/jvmdisfm.c, lib/libjvmdi/src/jvmdithg.c,
	lib/libjvmdi/src/jvmdithr.c, lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/string.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c, lib/libnative/java.net/addr.c,
	lib/libnative/java.net/socket.c,
	lib/libnative/java.security/accesscontroller.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/checkbox.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/list.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sysresource/sysresources.c, lib/liboji/Makefile.am,
	lib/libruntime/Makefile.am, lib/libruntime/alloc.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/class-repository.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/field.c, lib/libruntime/gc.c, lib/libruntime/init.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/jstrings.c, lib/libruntime/ksgc.c,
	lib/libruntime/log.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/primitive-class.c, lib/libruntime/resolve.c,
	lib/libruntime/sig.c, lib/libruntime/stubgc.c,
	lib/libruntime/thread.c, lib/libruntime/zextract.c,
	progs/japhar/japhar.c: up with NSPR, down (mostly) with arch/. 
	remove the LOG stuff, and move to PR_LOG, and switch from HMonitor
	and HThread to PRMonitor and PRThread - we now use nspr
	exclusively.  --with-nspr is required on the configure command
	line, even though configure will finish regardless of whether or
	not nspr can be found.	i'll get to this soon.	this is just a port
	of the log/monitor/thread stuff.  native methods (socket/io stuff)
	and mmap stuff will be next.

1999-09-10 01:50  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, lib/libruntime/init.c,
	progs/japhar/Makefile.am: sink or swim time.  turn on USE_DLL_LTDL

1999-09-10 01:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: fix undefined symbols.

1999-09-10 01:22  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: we're not linking in ksgc yet, so don't
	depend on it.

1999-09-10 01:19  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: don't link the motif libs if HAVE_MOTIF
	isn't defined.

1999-09-03 03:14  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: nuke the global refs.

1999-09-03 02:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: use strcasecmp instead of the two
	strcmp's.

1999-09-03 02:47  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharSecureEnv.cpp: add a bit more debugging around
	DefineClass

1999-08-20 17:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* acinclude.m4: Fix stupid typo in JAPHAR_CHECK_LIB().

1999-08-16 00:14  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: the hash code for a null object
	is 0.  don't throw an exception here.

1999-08-16 00:13  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: cleanup.

1999-08-16 00:11  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharSecureEnv.cpp: output some more spew.

1999-08-16 00:10  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharPlugin.cpp: make sure the thread's env is NULL
	before we call printf.

1999-08-16 00:10  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.h: fix warnings

1999-08-16 00:10  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMConsole.cpp: use com/hungry/java/... instead
	of com.hungry.java... in FindClass.

1999-08-16 00:09  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: formatting/comments.

1999-08-16 00:09  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: fix some reflection problems caused by
	the new method stuff.

1999-08-16 00:08  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/arrays.c: remove throwing of bogus exception.

1999-08-09 23:55  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/src/jvmdisfm.c: get_frame_parent ==>  foo->parent

1999-08-09 05:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: add support for -Xgc=ksgc

1999-08-09 05:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nsprgc.c: don't use the nspr gc anymore.

1999-08-09 05:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: fill in (and use) method->num_params.

1999-08-09 05:34  Christoph Toshok <toshok@hungry.com>

	* include/class-repository.h, lib/libruntime/class-repository.c:
	make map_over_repository take a closure arg.  useful for the ksgc
	stuff (since it needs to pass the gcinfo structure along.)

1999-08-09 05:33  Christoph Toshok <toshok@hungry.com>

	* include/objects.h: change the comment to reflect reality.

1999-08-09 05:31  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: remove get_frame_parent and the PARENT macro,
	and store the StackFrame* for the parent frame instead of the child
	frame's size.

1999-08-09 05:30  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: add num_params to the MethodStruct, so we
	can stop calculating it everytime we make a native method call.

1999-08-09 05:29  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/src/: jvmdicls.c, jvmdifld.c, jvmdimth.c,
	jvmdisfm.c: ClazzFile/jclass wonkage, and char*'s aren't jstrings.

1999-08-09 05:28  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.lang/class.c, java.lang/classloader.c,
	java.lang/secmgr.c, java.lang/system.c, java.util/resbundle.c:
	combination patch - track the removal of get_frame_parent and
	remove extraneous NewGlobalRef calls.

1999-08-09 05:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: abort.c, exceptions.c: more get_frame_parent
	tracking.

1999-08-09 05:25  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: interpfunc.c, nativeglue.c: track removal of
	get_frame_parent.

1999-08-09 05:24  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: init.c, interploop.c: no need to malloc the
	frame->methodName.  and do away with get_frame_parent.	the frame's
	parent frame pointer is stored in the frame again, instead of the
	size of the current frame.

1999-08-09 05:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/ksgc.c: guard more racey things with the gc's
	monitor, and clean up the multiple checks for whether a node is
	BLACK.

1999-08-09 04:17  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/file.c, java.io/objstrm.c,
	java.io/unixfilesystem.c, java.io/win32filesystem.c,
	sysresource/sysresources.c, java.net/addr.c, java.lang/runtime.c:
	get rid of extraneous NewGlobalRef calls.

1999-08-09 04:14  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jninativ.c: fix jclass/ClazzFile* wonkage.

1999-08-09 04:12  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: start the GC after the class
	repository is initialized.

1999-08-08 17:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* acinclude.m4, configure.in: New macro JAPHAR_CHECK_LIB(library,
	function).  First check for function, and if it is missing, try in
	the library.  Remove autoconfi warning.

1999-08-08 14:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Add AM_C_PROTOTYPES to get ANSI compiler who
	understands prototypes.

1999-08-08 11:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.am: Add arch.h to distribution.

1999-08-08 10:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/sig.c: Throw InternalError exception when
	SIG_equalStr() is called with unhandled type.

1999-08-08 10:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/ksgc.c: Use juint instead of uint32_t.  The first
	one is always present, but I'm not sure about the last.  Removed
	warnings and a bug in mark_object() using ClazzFile * where
	japhar_object * should be used.

1999-08-08 10:21  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: cpp lines can't wrap.

1999-08-08 07:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/ksgc.c: add in the gqueue/glist code needed to get
	things compiling (hacked to remove more glib dependencies.)  add in
	more for the marking phase (mark object/class entries in a class's
	constant pool.) and replace infinite loop in mutator thread when
	the heap is empty with a MONITOR_wait -- the collector thread
	notifies on this monitor whenever it adds something to the free
	list.

1999-08-07 08:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitor_test.c, lib/libjni/src/jniinvoc.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/sun.awt.motif/common.c, lib/libruntime/abort.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/init.c, lib/libruntime/interploop.c,
	lib/libruntime/ksgc.c, lib/libruntime/log.c,
	lib/libruntime/nativeglue.c, lib/libruntime/printf.c,
	lib/libruntime/sig.c, lib/libruntime/thread.c,
	progs/japhar/japhar.c: Start using new arch.h.

1999-08-07 08:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/: arch.h, dynamic_loading.h, native-threads.h, signals.h:
	Collected the complete libarch API in one headerfile arch.h.  The
	old files should be removed.

1999-08-06 23:35  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, lib/libruntime/clparse.c,
	lib/libjvmdi/src/jvmdimth.c: local variable entries are fine with a
	char* instead of a Signature*

1999-08-06 22:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/objects.h: Forgot prototype for get_monitor_for_object().

1999-08-06 09:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/log.h: New and simpler logging macro.

1999-08-06 09:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS, acconfig.h, configure.in: Remove obsolete --with-classpath
	option to configure.

1999-08-06 09:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS, acconfig.h, configure.in, include/dynamic_loading.h,
	arch/dynamic_loading.c, arch/monitor_test.c, arch/thread_test.c,
	lib/libnative/java.io/Makefile.am,
	lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.net/Makefile.am,
	lib/libnative/java.security/Makefile.am,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/java.util/Makefile.am,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sysresource/Makefile.am: Make libtool DLL loading the
	default and remove all other DLL support.  No more stubs.

1999-08-06 07:59  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/addr.c: make my_hostname threadsafe.

1999-08-06 07:41  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnirefl.c: createFakePrimitiveClass returns a
	ClazzFile*, not a jclass.

1999-08-05 22:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/native-threads.h, arch/monitors.c,
	lib/libjni/src/jnimon.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/thread.c, lib/libruntime/interpfunc.c,
	lib/libruntime/method.c, lib/libruntime/objects.c,
	lib/libruntime/thread.c: Moved MONITOR_getForObject() out of
	libarch into libruntime and changed name to
	get_monitor_for_object().

1999-08-05 21:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/: monitors.c, strerror.c, threads.c: Remove wasted #include
	lines.

1999-08-05 21:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/native-threads.h: Correct parameter type for
	MONITOR_getForObject().  This function belongs to libruntime and
	should be moved.

1999-08-05 21:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/exceptions.h, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnithrow.c, lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.lang/object.c, lib/libnative/java.lang/thread.c,
	lib/libnative/sun.awt.motif/choice.c, lib/libruntime/arrays.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/jstrings.c, lib/libruntime/method.c,
	lib/libjni/src/jniarray.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c: Minor bugfixes and removing warnings.

1999-08-05 07:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/op_stack.c: remove unneeded file.

1999-08-05 07:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: never build the opstack.c file. and
	actually make the commit to this file that i mentioned in the
	previous commit.  heh.

1999-08-05 07:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c, include/interp.h, include/op_stack.h:
	don't generate individual opcode functions during profiling, and
	get rid of maybe_push_return_value.  we always have enough
	information in the places where we call it to do a more efficient
	job.  also, turn back on the inline-function flag -- we should
	probably turn it off if we're debugging, though.

1999-08-05 06:34  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: move the initialize_class calls out of
	the Resolve* calls.  i'm trying to find ways to cut down the number
	of initialize_class calls we make.

1999-08-05 06:34  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/jstrings.c: make cstring2jstring a bit more
	efficient, and plug a potentional memory leak.

1999-08-05 06:31  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnistr.c: cache all these fields/classes/etc to
	make the jni string stuff a bit faster.

1999-08-05 06:31  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnifield.c: no need to cast the object to the
	right class anymroe.

1999-08-05 06:30  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c: quiet down the compiler.

1999-08-05 06:29  Christoph Toshok <toshok@hungry.com>

	* include/array-class.h, lib/libruntime/array-class.c: fix a cast
	error.	i can't believe i'm still finding these.

1999-08-05 00:07  Christoph Toshok <toshok@hungry.com>

	* include/primitive-class.h, lib/libruntime/primitive-class.c:
	return a ClazzFile*, not a jclass.

1999-08-05 00:04  Christoph Toshok <toshok@hungry.com>

	* include/objects.h, lib/libruntime/objects.c: nuke unneeded
	function

1999-08-05 00:04  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/method.c: use MONITOR_getForObject

1999-08-04 14:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/resolvepath.c: Avoid warning for missing prototype.

1999-08-04 14:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/ksgc.c: Use our thread wrappers instead of the
	pthread API.

1999-08-04 14:53  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/qop.h: Implement DEQUEUE() macro to extract the last
	element of the list, to get full queue implementation.	Added test
	code protected by #ifdef TEST.

1999-08-04 10:38  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: oops.  add missing backslash.

1999-08-04 07:10  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/sig.c: more gprof work.

1999-08-04 07:03  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/sig.c: efficiency work.

1999-08-04 01:11  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: don't assign to CFLAGS so automake will
	properly substitute the CFLAGS configure.in comes up with.  fix so
	that profiling actually puts -pg on the link line.

1999-08-04 01:06  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: fix link line so it works in the static
	case.

1999-08-03 23:43  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/ksgc.c: add paul's gc work.  it still needs some
	work to make it build and link with the rest of japhar, but i just
	wanted to get it into cvs.

1999-08-03 14:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/init.h, lib/libruntime/init.c, lib/libjni/src/jniinvoc.c:
	Fixed thread henv list administration and get non-daemon threads to
	delay VM termination.  Clean up error handling in
	JNI_CreateJavaVM().  Make sure vms list are locked before any
	updates or use of the list.

1999-08-02 23:40  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurbs about the obj rep and vtable work.

1999-08-02 23:36  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c: hi. yes.  i write code for a living.

1999-08-02 20:29  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c: oops.  add MONITOR_getForObject back in.

1999-08-02 09:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: exceptions.c, objects.c: Track object changes
	when LOGGING is defined.

1999-08-02 09:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Track JNIEnv -> HungryEnv
	change on log output.

1999-08-02 09:21  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/qop.h: Corrected DEQUEUE().  Reformatted macros and added
	description.  Make sure to crash if the same item is inserted more
	then once in a list.

1999-08-01 17:59  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c, include/ClazzFile.h, include/arrays.h,
	include/exceptions.h, include/field.h, include/init.h,
	include/interp-types.h, include/interp.h, include/jstrings.h,
	include/method.h, include/native-threads.h, include/objects.h,
	include/op_stack.h, lib/libjni/include/jnitypes.h.in,
	lib/libjni/src/jniarray.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jniobj.c, lib/libjvmdi/include/jvmdiint.h,
	lib/libjvmdi/src/jvmdisfm.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libruntime/arrays.c, lib/libruntime/exceptions.c,
	lib/libruntime/field.c, lib/libruntime/init.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/jstrings.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/thread.c: change object representation to remove
	list of ClazzFile*'s.  we only use one now.  there is also not both
	japhar_obj and japhar_object, now.  only japhar_object.  mail to
	japhar@japhar.org forthcoming with more details.

1999-07-31 06:14  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, include/objects.h, lib/libjni/src/jnirefl.c,
	lib/libjvmdi/src/jvmdicls.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.lang/class.c, lib/libruntime/array-class.c,
	lib/libruntime/clparse.c, lib/libruntime/field.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/method.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/primitive-class.c: move to
	a better virtual method / interface method layout and lookup
	strategy.
	
	virtual methods are kept in a traditional vtable (in the
	ClazzFile), and interface methods are kept in a similar
	per-interface,per-class vtable.
	
	Virtual method lookup (once the method is resolved) is now constant
	time (requiring two lookups -- once for the method to call, and
	once for the callee's implementation of that method.)
	
	Interface method lookups are still linear (but linear wrt to the
	number of interfaces a class implements, not wrt the number of
	methods the class contains.)  There is room for improvement here. 
	For example, EF uses a matrix compression technique to make
	interface lookup constant time.
	
	There is still (obviously, from the below timings) more room for
	optimization, but this was extremely low hanging fruit.
	
	Time for javac compiling ArrayTest.java from the japhar testsuite:
	
	jdk1.1.8       :   [done in 2441 ms] japhar (before):	[done in
	7801 ms] japhar (after) :   [done in 5585 ms]
	
	:)

1999-07-31 06:02  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/: header.c, html.c, japharh.c, method.c, stubs.c:
	get things building/working again with the switch from JNIEnv to
	HungryEnv.  not that we build japhar, or include with the dist
	anymore.

1999-07-31 06:00  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: remote the libjaphar_io-1.1.la, as it's
	not built anymore.

1999-07-31 06:00  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: remove dead code.

1999-07-30 10:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Use options of latest cvs2cl.pl version.  I'm using
	a patched version which ignores logs for the ChangeLog itself, and
	which do not space fill the last of every log entry.

1999-07-29 14:35  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: New target 'ChangeLog.new' to generate from CVS
	logs.

1999-07-29 14:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* japhar.lsm: Added NetBSD to list of platforms.

1999-07-29 11:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* libltdl/.cvsignore: Ignore generated files.

1999-07-28 12:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* acconfig.h, lib/libnative/java.net/addr.c: We are testing for
	<sys/utsname.h>, not <utsname.h>.  Now InetAddress.getLocalHost()
	works on Linux and all other platforms with 'struct utsname' in
	<sys/utsname.h>.

1999-07-28 11:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libruntime/init.c, libjni/src/jniinvoc.c: Handle non-daemon
	threads correctly.  Now waits for the to terminate before exiting
	the VM.

1999-07-27 15:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhar/japhar.c: ltdl changes.	Use DLL_path_separator()
	instead of hardcoding values here.

1999-07-27 15:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjvmdi/src/Makefile.am: Make this a ltdl module too.

1999-07-27 15:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* HACKING: Updated software list and descriptions.

1999-07-27 15:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: New target 'pr' to email LSM entry to the database.

1999-07-27 15:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* japhar.lsm: Added BeOS and Win32 platforms.  Added non-standard
	tag Web-site: with URL.

1999-07-27 14:48  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang.reflect/method.c: Handle void return
	type.  Report error when method with unhandled primitive return
	type is called.

1999-07-26 13:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.am: Sorted list and added missing header files.

1999-07-26 12:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Don't autogenerate lsm on 'make dist' to avoid
	chickend and egg problem.

1999-07-26 12:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Make libltdl first.

1999-07-26 12:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* acconfig.h: Leftover ltdl changes.

1999-07-26 12:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am: snprintf() is replacement function and should
	not be listed in SOURCES.

1999-07-26 12:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Link with -lnsl and -lsocket on platforms that need
	it (Solaris).

1999-07-26 11:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Info on ltld support.

1999-07-26 11:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/Makefile.am, arch/dynamic_loading.c,
	include/dynamic_loading.h, lib/libnative/java.io/Makefile.am,
	lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.net/Makefile.am,
	lib/libnative/java.security/Makefile.am,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/java.util/Makefile.am,
	lib/libnative/sun.audio/Makefile.am,
	lib/libnative/sun.awt.font/Makefile.am,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.debug.agent/Makefile.am,
	lib/libnative/sysresource/Makefile.am, progs/japhar/Makefile.am,
	lib/libjni/src/jniinvoc.c, libltdl/COPYING.LIB,
	libltdl/Makefile.am, libltdl/README, libltdl/acconfig.h,
	libltdl/acinclude.m4, libltdl/configure.in, libltdl/ltdl.c,
	libltdl/ltdl.h: Add Libtool 1.3.3 libltdl.  Use libltdl when
	--with-ltdl is given to configure.  Make DLL handling thread-save
	using monitor.

1999-07-26 11:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/: button.c, fontmetrics.c,
	menuitem.c, common.c, component.c: Stop AWT from crashing in native
	code using 1.1.7 classes.zip.

1999-07-26 11:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Implement get_symbols_from_executable for
	BeOS using code from libtool.

1999-07-26 11:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/resolvepath.c: Include <stdlib.h> to find prototype for
	realpath().

1999-07-25 20:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/abort.c: Report signal number of fatal error.

1999-07-25 19:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Check for sigaction().

1999-07-25 19:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/signals.c: Make sure to clear the signal handler on crash,
	even if sigaction() is missing.

1999-07-25 18:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/common.c: Change leftover
	jstring2charptr() to jstring2cstring().

1999-07-23 17:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* scripts/japhar-config.in: Changes to make this a generic
	reporting script to make it easier to copy into other projects.

1999-07-23 17:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhar/Makefile.am: Use CFLAGS instead of DEFS to get
	HAVE_CONFIG_H defined.

1999-07-20 00:05  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/.cvsignore: ignore .class files.

1999-07-19 22:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: 1999-07-19  Christoph Toshok 
	<toshok@hanta.hungry.com>
	
		* lib/libruntime/interpfunc.c (OPCODE invokenonvirtual):
	remove
		unnecessary sanity check.

1999-07-19 22:23  Christoph Toshok <toshok@hungry.com>

	* include/gc.h: add prototypes for new gc functions.

1999-07-19 22:22  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: remove references to gc's that aren't there.

1999-07-19 22:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: gc.c, nativeglue.c, primitive-class.c, stubgc.c:
	primitive-class.c

1999-07-19 22:01  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: remove call to addRootClazzFile for the
	time being.

1999-07-19 20:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Include comphat.h to avoid warnings.

1999-07-19 19:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/compat.h, arch/resolvepath.c: Implement
	resolvepath() using realpath().

1999-07-19 17:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Included required #endif.

1999-07-19 17:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/rint.c, lib/libnative/java.net/socket.c: Typo.  Added
	missing semicolon.

1999-07-19 16:37  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: remove extra #endif

1999-07-19 16:18  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c, include/ClazzFile.h: do calculation of
	number of parameter words and number of parameters when we resolve
	methods.

1999-07-19 16:18  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: remove some #if 0'd code, change
	messages when a null object is found in invokevirtual (to make the
	message a bit smaller.) and move the calculation of the number of
	parameter words out of the method invocation code.

1999-07-19 16:13  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: call JGC_addThread

1999-07-19 16:13  Christoph Toshok <toshok@hungry.com>

	* include/sig.h, lib/libruntime/sig.c: add SIG_strToUnionSelector

1999-07-19 16:12  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: remove dead code.

1999-07-19 12:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/ioStubs.c: Changed '#if notyet' to '#if
	defined(JDK1_1)'.

1999-07-19 12:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/Makefile.am: Add libffi/include to include path.

1999-07-19 11:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/lib/: java.exp, jni.exp: Get JNI tests working.  Print
	Java compile errors on failure.

1999-07-19 11:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* ltconfig, ltmain.sh, NEWS: Upgraded to Libtool version 1.3.3

1999-07-19 11:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, lib/libnative/java.net/socket.c: BeOS patch from
	Makoto Kato <m_kato@ga2.so-net.ne.jp>

1999-07-19 11:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/resolvepath.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/unixfilesystem.c: Check for utime.h.  Use
	POSIX utime() instead of BSD utimes().	Make replacement
	implementation of resolvepath().

1999-07-19 11:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/fd.c: Throw exception in calls toThrow
	exception in calls to FileDescription.sync() if fsync() is missing
	or failed.

1999-07-19 10:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/rint.c, lib/libnative/java.lang/math.c:
	Replacement rint().

1999-07-18 12:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/Makefile.am, lib/libruntime/Makefile.am,
	lib/libjni/src/Makefile.am, lib/libjvmdi/src/Makefile.am,
	lib/libnative/java.io/Makefile.am,
	lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.net/Makefile.am,
	lib/libnative/java.security/Makefile.am,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/java.util/Makefile.am,
	lib/libnative/sun.audio/Makefile.am,
	lib/libnative/sun.awt.font/Makefile.am,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.debug.agent/Makefile.am,
	lib/libnative/sysresource/Makefile.am: Moved libtool library
	version info from individual Makefile.am to configure.in

1999-07-18 12:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/native-threads.h, arch/monitors.c, arch/threads.c: Change
	macro THREAD_EQUAL() to function THREAD_equal() to export it from
	the arch library.

1999-07-18 12:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/common.c: Handle ETIMEOUT if it is defined.

1999-07-17 04:37  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: <sig.h> => "sig.h"

1999-07-17 01:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Added note about Solaris, Win32 fixes libtool fixes.

1999-07-13 20:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/scandir.c: Removed the need for seekdir() and telldir().

1999-07-12 10:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Specify bitmasks as hex values.

1999-07-12 10:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libruntime/exceptions.c, libnative/java.lang/thread.c:
	Corrected debug logging.

1999-07-12 10:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Windows patch and documentation change.

1999-07-12 10:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS, configure.in, arch/dynamic_loading.c, arch/scandir.c: BeOS
	patches from Makoto Kato <m_kato@ga2.so-net.ne.jp>.

1999-07-11 02:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/inflater.c: clean up a bit.

1999-07-11 02:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/inflater.c: this file has been
	completely raped by the fact that in the 1.2 case it supports both
	1.1 and 1.2

1999-07-11 02:15  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurbs about some mauve generated fixes

1999-07-11 00:28  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: error condition work.  fixes
	mauve tests.

1999-07-11 00:27  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: remove all the JAVARLOG0 level 1 log
	statements about all the opcodes, and fix the lushr instruction
	(analogous to the iushr fix of a couple of days ago.)  this fixes
	formatting of doubles and floats, fixing more mauve tests.

1999-07-11 00:26  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: do proper error cases in
	arraycopy - fixes numerous mauve cases.

1999-07-08 15:45  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnismeth.c: remove debug spew.

1999-07-08 15:42  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/double.c: remove some debugging spew.

1999-07-08 15:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: better error messages (using
	strerror)

1999-07-08 12:56  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, include/interp.h, include/op_stack.h,
	include/sig.h, lib/libffi/Makefile.in, lib/libffi/aclocal.m4,
	lib/libffi/configure, lib/libjni/include/jniint.h,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjvmdi/src/jvmdiloc.c, lib/libnative/java.io/ioStubs.c,
	lib/libnative/java.lang/double.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.net/netStubs.c,
	lib/libnative/java.security/secStubs.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sysresource/sysresStubs.c,
	lib/liboji/japharJVMPlugin.cpp,
	lib/liboji/classes/JapharClassLoader.java,
	lib/libruntime/Makefile.am, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/clparse.c,
	lib/libruntime/field.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/resolve.c,
	lib/libruntime/sig.c: loads of changes.  Signatures aren't build
	for anything much anymore.  eventually they'll go away completely. 
	we deal with the raw character string, resulting in saved memory
	and better performance.  also, fix the behavior of the iushr
	opcode, which makes the Double.toString() method work (finally.) 
	more oji work too.  heh, i've been busy.

1999-07-08 12:50  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: wow.  this is funny.  japhar (without this
	change) couldn't execute classes that began with D, X, or named
	classpath, help, or verbose.

1999-07-07 18:06  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMConsole.cpp, japharJVMPlugin.cpp,
	japharJVMPlugin.h, japharJVMPluginInstance.cpp,
	japharJVMPluginInstance.h, japharPlugin.cpp, japharSecureEnv.cpp:
	Small liveconnect tests now work, like the following:
	
	---
	
	var System = java.lang.System;
	
	window.alert("system object = " + System);
	
	---
	
	calling methods on java objects from javascript still doesn't work,
	and applets don't work at present either, but i'm working on it :)

1999-07-07 06:29  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/JSObject.c: add native method stubs for JSObject.

1999-07-07 06:27  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMPlugin.cpp, japharJVMPlugin.h,
	japharSecureEnv.cpp, japharSecureEnv.h: track api changes

1999-07-07 06:24  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMConsole.cpp, japharJVMConsole.h: track
	change to the console interface.

1999-07-04 15:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/object.c: arrays are clonable... guess
	so.

1999-07-04 15:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: gc.c, stubgc.c: track addition to the gc
	interface.

1999-07-04 15:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: with the new faster lookup
	mechanism, array classes need to have reference to all j.l.Object's
	methods.

1999-07-04 15:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: remove some dead code.

1999-07-04 15:54  Christoph Toshok <toshok@hungry.com>

	* include/objects.h, lib/libruntime/objects.c: expose the
	class_is_{array, primitive, interface} predicates.

1999-07-04 15:54  Christoph Toshok <toshok@hungry.com>

	* include/gc.h: add a pointerWrite function to the GC interface so
	GC's can implement write barriers

1999-07-04 15:53  Christoph Toshok <toshok@hungry.com>

	* include/Makefile.am: add interp-types to the list of installed
	headers.

1999-07-04 15:51  Christoph Toshok <toshok@hungry.com>

	* configure.in: better mozilla tests.

1999-07-04 07:29  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, ltconfig, ltmain.sh: add beos support
	to the configure files.

1999-07-04 06:36  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: config.guess, Makefile.in, aclocal.m4, config.sub,
	configure, configure.in, ltconfig, ltmain.sh: use new(er)
	config.guess files, and add beos to the list of x86 platforms that
	work.  also, bring this up to date with automake-1.4,
	autoconf-2.13, and libtool-1.3

1999-07-01 00:29  Christoph Toshok <toshok@hungry.com>

	* www/src/getting.src: the typo 'fix' was just about as bad as the
	original.  fix it.

1999-06-30 19:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* www/src/getting.src: Fixed typo reported by Ian Darwin.

1999-06-27 10:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: sun.awt.font/Makefile.am,
	sun.awt.motif/Makefile.am: Add -I../libffi/include to compile line
	to find ffi.h

1999-06-27 09:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/: file.c, unixfilesystem.c: Add limits.h to
	find PATH_MAX on Solaris.

1999-05-13 09:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libruntime/Makefile.am, libjni/src/Makefile.am: Make sure
	configuring in a build directory works.

1999-05-12 22:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libjvmdi/src/Makefile.am, libnative/java.io/Makefile.am,
	libnative/java.net/Makefile.am,
	libnative/java.security/Makefile.am,
	libnative/java.util.zip/Makefile.am,
	libnative/java.util/Makefile.am, libnative/sysresource/Makefile.am:
	Include lib/libffi/include.

1999-05-07 19:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Make sure this compiles even with
	-DDEBUG.

1999-05-07 18:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am, lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.lang/Makefile.am: Add lib/libffi/include to
	includes.

1999-05-07 10:20  Christoph Toshok <toshok@hungry.com>

	* configure.in, lib/libffi/configure, lib/libffi/configure.in:
	linux-sparc changes

1999-05-03 23:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/method.c: include log.h

1999-05-03 09:47  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, include/method.h, lib/libruntime/interploop.c,
	lib/libruntime/method.c: split some more method specific calls into
	method.c/.h

1999-05-03 03:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c: comment fix.

1999-05-03 03:08  Christoph Toshok <toshok@hungry.com>

	* include/gc.h: formatting change.

1999-05-03 03:07  Christoph Toshok <toshok@hungry.com>

	* arch/: monitor_test.c, thread_test.c: track change to
	throw_Exception

1999-05-03 02:53  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: add functions to go from JNIEnv/JavaVM
	to HungryEnv/HungryVM

1999-05-03 02:52  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: fix formatting

1999-05-03 02:49  Christoph Toshok <toshok@hungry.com>

	* lib/: libruntime/jstrings.c, libruntime/init.c,
	libruntime/objects.c, libjni/src/jnimeth.c: track CallJavaMethod
	change.

1999-05-03 02:48  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c, include/exceptions.h: make
	throw_Exception varargs based, so we don't have to snprintf all
	over the place.

1999-05-03 02:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/arrays.c: don't need assert.h here.

1999-05-03 02:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: add varargs versions of
	Call{Static}JavaMethod.

1999-05-03 02:46  Christoph Toshok <toshok@hungry.com>

	* include/: interp.h, field.h, method.h: move method/field
	prototypes to better homes.

1999-05-03 02:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: field.c, interploop.c, method.c: move field
	specific functions to field.c, and method specific ones to
	method.c.

1999-05-03 02:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: don't include assert.h

1999-05-03 02:31  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: use preprocessor string concatenation
	instead of a %s, and handle '-classpath arg' as well as
	'-classpath=arg'.

1999-04-30 07:19  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: remove some outdates comments, and
	don't allocate space for fields that have constant value in
	objects, since their value is in the class.

1999-04-30 06:14  Christoph Toshok <toshok@hungry.com>

	* ltconfig, arch/monitor_test.c, arch/thread_test.c,
	arch/threads.c, include/ClazzFile.h, include/alloc.h,
	include/array-class.h, include/arrays.h,
	include/class-repository.h, include/classpath.h,
	include/exceptions.h, include/field.h, include/gc.h,
	include/init.h, include/interp-types.h, include/interp.h,
	include/jstrings.h, include/method.h, include/native-threads.h,
	include/objects.h, include/op_stack.h, include/primitive-class.h,
	include/resolve.h, include/sig.h, lib/libffi/Makefile.in,
	lib/libffi/aclocal.m4, lib/libffi/configure,
	lib/libffi/fficonfig.h.in, lib/libffi/include/Makefile.in,
	lib/libffi/src/Makefile.in, lib/libjni/include/jniint.h,
	lib/libjni/src/Makefile.am, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnicpp.cpp,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivm.c, lib/libjni/src/jnivtbl.c,
	lib/libjvmdi/include/jvmdiint.h, lib/libjvmdi/src/jvmdicls.c,
	lib/libjvmdi/src/jvmdiev.c, lib/libjvmdi/src/jvmdimsc.c,
	lib/libjvmdi/src/jvmdimth.c, lib/libjvmdi/src/jvmdisfm.c,
	lib/libjvmdi/src/jvmdithr.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/common.h, lib/libnative/java.io/file.c,
	lib/libnative/java.io/file.h, lib/libnative/java.io/filein.c,
	lib/libnative/java.io/fileout.c, lib/libnative/java.io/objistrm.c,
	lib/libnative/java.io/objstrm.c, lib/libnative/java.io/random.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.io/win32filesystem.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util.zip/zipfile.c,
	lib/libnative/sun.awt.font/nativewrapper.c,
	lib/libnative/sun.awt.motif/choice.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/list.c,
	lib/libnative/sun.awt.motif/textarea.c,
	lib/libnative/sun.awt.motif/textfield.c,
	lib/libnative/sysresource/sysresources.c,
	lib/libruntime/Makefile.am, lib/libruntime/abort.c,
	lib/libruntime/alloc.c, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/class-repository.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/field.c, lib/libruntime/gc.c, lib/libruntime/init.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/jstrings.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/primitive-class.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c,
	lib/libruntime/stubgc.c, lib/libruntime/thread.c,
	progs/Makefile.am: a rather large change.  primarily, this change
	splits the libs a bit more, and removes dependencies (most --
	there's one remaining) on the JNI vtable from libruntime and
	libarch.  I've removed the JThreadInfo structure (which was a
	throwback to the days when japhar was single threaded :)
	
	It introduces to libruntime level constructs -- HungryVM and
	HungryEnv, which are used in all internal calls, and in some native
	methods in java.lang and elsewhere.
	
	Also, I've incorporated Anthony Green's suggestion of caching the
	cif for libffi.
	
	Lastly, I've changed all the jstring2charptr references in the
	native libs to jstring2cstring, and implemented that in one place,
	in libruntime.

1999-04-25 21:44  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/TODO: add todo for OJI stuff.

1999-04-25 21:42  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: #if 0 out the
	is_assignable_from check for now, since it's causing problems.

1999-04-25 21:42  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: deal with a null object.

1999-04-25 21:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: common.c, common.h, image.c,
	window.c, xim.c: more stuff.

1999-04-13 15:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* config.guess, config.sub, install-sh, mkinstalldirs: Updated to
	lastest versions from FSF

1999-04-11 20:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Make sure to regenerate lsm when dist or template
	changes.

1999-04-11 20:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am, japhar.lsm: Autogenerate LSM entry and place in
	distribution.

1999-04-08 00:45  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMConsole.h,
	japharJVMPlugin.cpp, japharJVMPlugin.h, japharPlugin.cpp,
	japharSecureEnv.cpp, japharSecureEnv.h: get things a bit closer.

1999-04-05 23:58  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: add a C++ method for FatalError, and
	add some reserved (apparently) space that was missing in our
	structures.  yay gdb and mozilla.

1999-04-05 09:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Define motif only if both X and Motif is available.

1999-04-05 09:53  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/fmodf.c: Do explicit casting.

1999-04-05 03:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/fontmetrics.c: do font metrics
	correctly

1999-04-05 03:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: add key events

1999-04-05 03:16  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharConsole.java: we don't need a print
	method that takes an encoding.	the string is already encoded by
	the time print is called.

1999-04-05 03:15  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: at least with the gtk
	mozilla, there is no XtAppContext, so don't use the initialize_awt
	call that takes one.

1999-04-05 03:11  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: fix typo.

1999-04-05 02:59  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMConsole.cpp: handle encoding's properly (by
	using them to construct the string we pass to the console class's
	'print' method).  also, construct the object and get all the
	methodID's we're going to be calling.

1999-04-05 02:57  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: change my link target to I can get stuff
	building.

1999-04-05 02:57  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharPrefs.java: add snazzy swing dialog
	that'll be used to configure japhar in mozilla.

1999-04-04 18:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/sig.h, lib/libruntime/sig.c:
	SIG_formatStringToNativeName*(): Added const on char param to avoid
	warnings in progs/japharh/.

1999-04-04 08:26  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharConsole.java: switch width/height to
	give a more pleasing initial window dimension

1999-04-04 08:23  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/: JapharConsole.java,
	JapharConsoleOutputStream.java, Makefile.am: add console stuff. 
	this uses swing (although it's trivial to change it to not use it.)
	 should I?

1999-04-04 01:31  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.h: get this building with mozilla
	again.

1999-04-04 01:30  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: offer a better target for my platform
	(freebsd) to build the .so

1999-04-04 01:28  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: stop conflicting with mozilla/sun's
	jni.h

1999-04-03 07:22  Christoph Toshok <toshok@hungry.com>

	* lib/: libruntime/method.c, libjni/src/jnifield.c,
	libjni/src/jniinvoc.c, libjni/src/jnirefl.c: slight changes to
	correct for breakage in our handling of classpath.  now we work
	with classpath-current (at least for the couple of japhar tests
	that I ran.)

1999-03-24 08:59  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: don't throw an exception when
	one is already present.

1999-03-24 04:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: add some code to throw
	ExceptionInInitializerError, and remove an extra call to
	call_initializers.

1999-03-22 16:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/Makefile.am: Hack to avoid linking with
	non-installed shared library (zlib) which triggers error in
	libtool.

1999-03-20 00:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c: remove unneeded #include

1999-03-19 07:44  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/: ffitest.c, sparc/ffi.c, sparc/v8.S: applied
	patches from Christophe Lizzi to fix long long support for sparcs.

1999-03-17 09:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: choice.c, common.c, common.h,
	component.c, fontmetrics.c, graphics.c, list.c, scrollpane.c,
	textarea.c, textfield.c: get rid of the jstring2charptr's
	everywhere in this library.  put it in one place.  implement some
	of the scrollpane functionality, and get real fonts working.

1999-03-17 07:23  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/object.c: Clonable => Cloneable

1999-03-17 06:53  Christoph Toshok <toshok@hungry.com>

	* lib/zlib/: adler32.c, compress.c, crc32.c, deflate.c, gzio.c,
	inflate.c, uncompr.c, zutil.c: Get zlib building as a DLL on
	windows.

1999-03-17 03:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: Makefile.am, package.c: don't hardcode
	a path to my home directory into the file :)

1999-03-17 03:33  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/object.c: check for Clonable and throw
	CloneNotSupportedException

1999-03-17 02:06  Christoph Toshok <toshok@hungry.com>

	* www/src/supported.src: add netbsd-1.3I/x86

1999-03-17 01:50  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: supply (java thread) as a name if one
	isn't given.

1999-03-17 01:47  Christoph Toshok <toshok@hungry.com>

	* configure.in, arch/dynamic_loading.c, arch/threads.c:
	fixes/changes to get netbsd/x86 up and running.

1999-03-17 01:46  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: configure, configure.in, src/x86/sysv.S: add
	netbsd/x86 support.

1999-03-17 01:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: check for num_entries == -1 and
	return an empty string if it is

1999-03-16 11:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.util.zip/Makefile.am: From Christophe Lizzi
	<lizzi@csti.fr>.  Typo.

1999-03-16 11:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/compat.h: From Christophe Lizzi <lizzi@csti.fr>.  Fix
	prototype conflict.

1999-03-16 11:53  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.util.zip/inflater.c: #if 0 -> #ifdef JDK1_1

1999-03-16 03:23  Christoph Toshok <toshok@hungry.com>

	* INSTALL: more dist stuff

1999-03-16 03:20  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/Makefile.am, Makefile.am,
	progs/japhard/Makefile.am, progs/japhard/readline/Makefile.am,
	progs/japhard/readline/Makefile.in: dist fixes

1999-03-16 02:02  Christoph Toshok <toshok@hungry.com>

	* configure.in: oops.  rev revision.

1999-03-16 01:56  Christoph Toshok <toshok@hungry.com>

	* www/: images/simple-metal.gif, images/simple-motif.gif,
	images/simple-windows.gif, src/index.src, src/news.src, src/spec,
	src/supported.src: get read for the release.

1999-03-16 01:54  Christoph Toshok <toshok@hungry.com>

	* NEWS: fixup blurbs to mention everything, also mention the
	release date.  shhhh, don't tell anyone :).

1999-03-16 01:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.h: add a rectangle to the
	GraphicsData so we can report back what the clip rectangle was.

1999-03-16 01:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/graphics.c: implement much of the
	needed graphics methods, including those for clipping.	also, make
	use of the originX/Y so that things don't always end up at 0,0

1999-03-16 01:47  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: remove some spew.

1999-03-16 01:47  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/image.c: use the originX/Y when
	drawing the image.

1999-03-16 01:46  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: dialog.c, window.c: implement
	native methods for sun.awt.motif.MDialogPeer and
	sun.awt.motif.MWindowPeer.

1999-03-15 22:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/gifdecoder.c: add more spew.

1999-03-15 22:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/image.c: only copy the area if both
	the pixmap and target are not None.

1999-03-15 22:53  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: component.c, textarea.c: implement
	ComponentPeer.pGetLocationOnScreen, and setCursor for both
	Components and TextAreas

1999-03-15 22:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: common.h, initids.c: add cursor ids

1999-03-15 22:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: oh screw it.  just always
	send both a move and a resize when we get a ConfigureNotify.

1999-03-15 20:03  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurb about swing starting to take shape.

1999-03-15 19:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, common.c, component.c,
	frame.c, gifdecoder.c, image.c, jpegdecoder.c, menubar.c,
	offscreen.c, xim.c: add native methods for missing
	GifImageDecoder/JPEGImageDecoder -- these probably don't belong in
	a motif specific place -- and X11InputMethod.  also, fix up lots of
	things, including offscreen images and image drawing in general. 
	With these fixes, swing programs start to work -- you can see
	buttons and click on them, etc.

1999-03-15 19:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: don't call jclass_to_clazzfile
	on things that are supposed to remain jclasses

1999-03-15 19:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/init.c: call THREAD_setName to associate the name
	with the thread.

1999-03-15 19:52  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: objects.c, clparse.c: move is_assignable_from to
	objects.c, and implement it in terms of is_instance_of_array and
	is_instance_of_class

1999-03-15 17:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhard/Makefile.am: Make sure that VERSION is defined,
	even if config.h lacks it.

1999-03-15 14:15  Christoph Toshok <toshok@hungry.com>

	* www/src/: mauve-results-11.src, mauve-results-12.src: update the
	pages to include more tests (or more passes too, very cool.)

1999-03-15 14:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: fix System.arraycopy so that
	all the mauve tests pass.

1999-03-15 08:37  Christoph Toshok <toshok@hungry.com>

	* www/src/index.src: update status.

1999-03-15 08:33  Christoph Toshok <toshok@hungry.com>

	* www/src/: Makefile, make-html, mauve-html-gen.pl,
	mauve-results-11.src, mauve-results-12.src, mauve.src, related.src,
	spec: add blurbs about mauve, as well as the results of running
	(most of) the mauve testsuite on japhar with JDK 1.1 and 1.2
	classes.

1999-03-15 08:16  Christoph Toshok <toshok@hungry.com>

	* www/src/mauve-html-gen.pl: add little snazzy perl script to
	convert from mauve output to something we can display nicely.

1999-03-15 02:09  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: throw a NullPointerException if
	identityHashCode is passed a null.

1999-03-14 20:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: implement ButtonRelease,
	and collapse all the mouse events to one function.

1999-03-14 06:48  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: add a comment to describe the weird
	crash we see with a native methods that aren't present and are
	synchronized..	Also, incorporate the latest patches from
	Christophe Lizzi

1999-03-14 06:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: we can't build nsprgc.s since the gc
	stuff isn't distributed with nspr anymore.

1999-03-14 06:45  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/Makefile.am: add sun.audio

1999-03-14 06:44  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, acinclude.m4, configure.in, NEWS: clean up the
	configure script some, and add audio foo (and a blurb about it in
	the NEWS file.)

1999-03-14 05:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: if we're not realized,
	just realize the widget.  it'll get an expose event and trigger its
	repaint that way.

1999-03-14 05:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/image.c: add imageDraw and
	imageStrech ImageRepresentation native methods, which were missing.

1999-03-14 05:48  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.audio/: .cvsignore, Makefile.am, audiodev.c:
	add implementation of sun.audio.AudioDevice that uses /dev/audio.

1999-03-13 20:59  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMPlugin.cpp, japharJVMPlugin.h,
	japharJVMPluginInstance.cpp, japharPlugin.cpp, classes/Makefile.am:
	get this stuff building with the current mozilla sources.  the
	plugin doesn't work yet, but it'll at least *build*.

1999-03-13 20:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: make use of THREAD_setName

1999-03-13 20:48  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/common.c: show name of file in debug spew.

1999-03-13 20:47  Christoph Toshok <toshok@hungry.com>

	* configure.in: add checks for the non-posix pthread functions and
	deal with both the OBJDIR form and the obj-* form of mozilla build
	dirs.

1999-03-13 20:46  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h, arch/threads.c: add non-posix
	implementations of suspend/resume, and a non-posix set-name thread
	function (very useful for debugging on freebsd.)

1999-03-13 20:39  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: canvas.c, common.c, common.h,
	component.c, drawingsurface.c, graphics.c, image.c, label.c,
	offscreen.c, textarea.c: component.c

1999-03-13 05:05  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurbs.

1999-03-13 05:03  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/readline/Makefile.in: tar, not gtar.

1999-03-13 05:02  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/readline/.cvsignore: ignore more stuff.

1999-03-13 05:00  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: DestroyJavaVM fixes.

1999-03-13 04:59  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/nativewrapper.c: more debug spew.

1999-03-13 04:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/textfield.c: implement most of
	textfield.

1999-03-13 04:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/textarea.c: get text area's working.

1999-03-13 04:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/initids.c: add missing initIDs
	functions.

1999-03-13 04:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/graphics.c: implement a lot of the
	draw primitives.

1999-03-13 04:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: set the width and height
	individually.

1999-03-13 04:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/frame.c: make a frame a
	BulletinBoardShell.  this may be wrong, but it gives closer results
	to the JDK.

1999-03-13 04:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/label.c: implement setAlignment, and
	turn off recomputeSize.

1999-03-13 04:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/fontmetrics.c: fill in bogus amounts
	for widths, so that text boxes work.

1999-03-13 04:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: handle a lot more events,
	and fix the problem with expose events (the hardcoded id was out of
	date -- doh)

1999-03-13 04:52  Christoph Toshok <toshok@hungry.com>

	* configure.in: fix output of configure --help, and tell the user
	what the defaults for the --enable switches are.

1999-03-09 11:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Corrected Kaffe URL and added info on JOS.

1999-03-04 03:30  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: remove the comment about windows since
	we now 'support' it.

1999-03-04 02:28  Christoph Toshok <toshok@hungry.com>

	* www/images/: comingsoon.gif, new.gif: add new and comingsoon gifs

1999-03-03 23:57  Brian Jones <brian@hungry.com>

	* progs/japhard/readline/Makefile.in: temporary need to add

1999-03-01 07:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: fileout.c, random.c, unixfilesystem.c:
	wherever we open a file, open it with O_LARGEFILE (if it's defined.

1999-03-01 07:22  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurb about the -finline-functions.

1999-03-01 07:22  Christoph Toshok <toshok@hungry.com>

	* configure.in: add -D_LARGEFILE_SOURCE if we're on solaris 7.0

1999-03-01 07:18  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/Makefile.am: add sun.awt.font to the build if
	HAVE_MOTIF is true.

1999-03-01 07:17  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.h: check this back in to correct for
	the M-x indent-buffer stuff that the elisp reformating stuff did.

1999-03-01 07:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, graphicsconf.c,
	initids.c, java2d.c: add more hacks to try and get 1.2 awt stuff
	working.

1999-03-01 07:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang.reflect/array.c: deal with array classes
	correctly.

1999-03-01 05:16  Brian Jones <brian@hungry.com>

	* progs/japhard/readline/: configure.in, configure: removed -DLinux

1999-03-01 05:10  Brian Jones <brian@hungry.com>

	* progs/japhard/readline/rldefs.h: Linux -> LINUX

1999-03-01 05:09  Brian Jones <brian@hungry.com>

	* progs/japhard/readline/: config.h.in, configure, configure.in:
	updated

1999-03-01 05:07  Brian Jones <brian@hungry.com>

	* progs/japhard/readline/: AUTHORS, NEWS, config.guess, config.sub,
	aclocal.m4, install-sh, mkinstalldirs, missing: initial commit

1999-03-01 05:06  Brian Jones <brian@hungry.com>

	* acconfig.h, acinclude.m4, configure.in: updates for making
	readline compile on GNU/Linux

1999-02-28 07:33  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: add jstring2charptr here too... we
	should really just stick this in libruntime instead of duplicating
	it all over the place.

1999-02-28 07:32  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: oops.

1999-02-28 07:29  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: file.c, unixfilesystem.c: if resolvepath
	is available, use it in canonicalize.

1999-02-28 07:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c, lib/libruntime/sig.c, include/sig.h:
	offer SIG_formatStringToNativeName in an in-place version -- one
	that doesn't malloc.  and take advantage of this in nativeglue.c

1999-02-28 07:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: go to the same 'malloc less'
	strategy that class parsing uses.

1999-02-28 07:27  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: if we're using gcc, use
	-finline-functions, as it makes a tremendous difference in speed
	(at least on x86.)

1999-02-28 07:26  Christoph Toshok <toshok@hungry.com>

	* configure.in: check for resolvepath function, and define
	USING_GCC if we are.

1999-02-26 04:09  Brian Jones <brian@hungry.com>

	* HACKING, README: updated classpath url

1999-02-24 21:47  Christoph Toshok <toshok@hungry.com>

	* www/src/javadocs.src: fill in the javasoft docs with useful
	links.

1999-02-24 21:14  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/x86/sysv.S: fold in a freebsd patch

1999-02-24 19:04  Christoph Toshok <toshok@hungry.com>

	* www/src/: index.src, supported.src: change the layout of some
	things.  okay.	time to push these pages.

1999-02-24 13:04  Christoph Toshok <toshok@hungry.com>

	* arch/alphasort.c, arch/dynamic_loading.c, arch/fmodf.c,
	arch/monitor_test.c, arch/monitors.c, arch/scandir.c,
	arch/signals.c, arch/snprintf.c, arch/strerror.c,
	arch/thread_test.c, arch/threads.c, lib/libjni/include/jni.h,
	lib/libjni/include/jniint.h, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnicpp.cpp,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnimon.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jniref.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivm.c, lib/libjni/src/jnivtbl.c,
	lib/libjni/tests/foo.c, lib/libjvmdi/include/jvmdi.h,
	lib/libjvmdi/include/jvmdiint.h, lib/libjvmdi/src/jvmdi.c,
	lib/libjvmdi/src/jvmdibkp.c, lib/libjvmdi/src/jvmdicls.c,
	lib/libjvmdi/src/jvmdiev.c, lib/libjvmdi/src/jvmdifld.c,
	lib/libjvmdi/src/jvmdiloc.c, lib/libjvmdi/src/jvmdimm.c,
	lib/libjvmdi/src/jvmdimsc.c, lib/libjvmdi/src/jvmdimth.c,
	lib/libjvmdi/src/jvmdisfm.c, lib/libjvmdi/src/jvmdithg.c,
	lib/libjvmdi/src/jvmdithr.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/common.h, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/filein.c,
	lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/filesystem.c,
	lib/libnative/java.io/ioStubs.c, lib/libnative/java.io/objistrm.c,
	lib/libnative/java.io/objostrm.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.io/win32filesystem.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/package.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/string.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/netStubs.c,
	lib/libnative/java.net/options.h, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.security/accesscontroller.c,
	lib/libnative/java.security/secStubs.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/jarfile.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/java.util.zip/zipentry.c,
	lib/libnative/java.util.zip/zipfile.c,
	lib/libnative/sun.awt.font/nativewrapper.c,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/canvas.c,
	lib/libnative/sun.awt.motif/checkbox.c,
	lib/libnative/sun.awt.motif/checkboxmenuitem.c,
	lib/libnative/sun.awt.motif/choice.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/dialog.c,
	lib/libnative/sun.awt.motif/drawingsurface.c,
	lib/libnative/sun.awt.motif/filedialog.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/graphics.c,
	lib/libnative/sun.awt.motif/graphicsconf.c,
	lib/libnative/sun.awt.motif/graphicsdev.c,
	lib/libnative/sun.awt.motif/graphicsenv.c,
	lib/libnative/sun.awt.motif/image.c,
	lib/libnative/sun.awt.motif/initids.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/list.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/offscreen.c,
	lib/libnative/sun.awt.motif/popupmenu.c,
	lib/libnative/sun.awt.motif/scrollbar.c,
	lib/libnative/sun.awt.motif/scrollpane.c,
	lib/libnative/sun.awt.motif/selection.c,
	lib/libnative/sun.awt.motif/textarea.c,
	lib/libnative/sun.awt.motif/textfield.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.awt.motif/window.c,
	lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c,
	lib/liboji/japharJVMConsole.cpp, lib/liboji/japharJVMConsole.h,
	lib/liboji/japharJVMPlugin.cpp, lib/liboji/japharJVMPlugin.h,
	lib/liboji/japharJVMPluginInstance.cpp,
	lib/liboji/japharJVMPluginInstance.h, lib/liboji/japharPlugin.cpp,
	lib/liboji/classes/appletcontext.cpp, lib/libruntime/abort.c,
	lib/libruntime/alloc.c, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/class-repository.c,
	lib/libruntime/classpath.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/gc.c,
	lib/libruntime/init.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/interploop.h,
	lib/libruntime/log.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/nsprgc.c,
	lib/libruntime/objects.c, lib/libruntime/op_stack.c,
	lib/libruntime/primitive-class.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c,
	lib/libruntime/stubgc.c, lib/libruntime/thread.c,
	lib/libruntime/zextract.c, maintain/reformat.el, www/src/index.src,
	www/src/spec: run reformat.el on all .c/.h/.cpp files.

1999-02-24 12:40  Christoph Toshok <toshok@hungry.com>

	* configure.in, lib/libffi/configure.in: enable libffi on solaris
	x86

1999-02-24 07:12  Christoph Toshok <toshok@hungry.com>

	* include/: ClazzFile.h, alloc.h, array-class.h, arrays.h,
	class-repository.h, classpath.h, compat.h, dynamic_loading.h,
	exceptions.h, gc.h, init.h, interp.h, log.h, method.h,
	native-threads.h, objects.h, op_stack.h, primitive-class.h, qop.h,
	resolve.h, sig.h, signals.h, util.h, zipfile.h: run reformat.el on
	these files, adding 1999 to the copyright line.

1999-02-24 07:02  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, lib/libruntime/Makefile.am,
	lib/libruntime/gc.c: allow the use of NSPR without the dependence
	on the NSPR gc, which is gone from the distribution.

1999-02-24 07:01  Christoph Toshok <toshok@hungry.com>

	* www/src/: Makefile, index.src, make-html, old-news.src, spec,
	supported.src: some changes to the webpages.  i'll be pushing them
	out sometime tonight - once I'm done.

1999-02-24 07:00  Christoph Toshok <toshok@hungry.com>

	* NEWS: added blurb about endianness/alignment fixes and the
	configure script rework.

1999-02-24 04:48  Christoph Toshok <toshok@hungry.com>

	* Makefile.am, configure.in, classes/Makefile.am,
	props/Makefile.am: Make largish change to the way we configure and
	find JDK installations.  There's a new switch --with-jdk (drop the
	'sun' from that) that you use to give the path to a JDK
	distribution tree.  It can be either 1.1 or 1.2, and the
	configure/Makefile foo will rip out what it can and install it
	where it needs it to go.  No more hardcoded properties files that
	go away between revisions of JDK1.1.x.
	
	also, we no longer copy the classes.zip file and properties into
	the japhar source tree.
	
	lastly, it's no longer an error to configure japhar without giving
	this flag.  if you don't give the flag, the Makefile's in classes
	and props won't install anything.  This should please the classpath
	people :)

1999-02-24 04:02  Christoph Toshok <toshok@hungry.com>

	* configure.in: check for all functions in the same line.

1999-02-24 03:51  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/japharh.c: include jni.h to fix JNIEXPORT not being
	defined for classpath.h

1999-02-24 03:50  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h, lib/libruntime/nativeglue.c: big endian fixes
	from Christophe Lizzi <lizzi@csti.fs>

1999-02-24 03:38  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: remove duplicate variable.

1999-02-24 03:38  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: switch the sense of the #ifdef so
	that unix doesn't have to check for it.

1999-02-24 03:37  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h: remove this prototype -- it's a
	static function anyway.

1999-02-24 03:37  Christoph Toshok <toshok@hungry.com>

	* configure.in: check for more functions and headers, since I had
	to ifdef them out on windows.

1999-02-24 03:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: Makefile.am, interploop.h: add this generated
	file so that it'll be there on platforms that can't generate it for
	themselves (aka Windows.)

1999-02-24 01:12  Christoph Toshok <toshok@hungry.com>

	* include/: classpath.h, native-threads.h: export all the functions
	that should be global.

1999-02-24 01:11  Christoph Toshok <toshok@hungry.com>

	* include/log.h: LOG => LOGGING

1999-02-24 01:11  Christoph Toshok <toshok@hungry.com>

	* include/compat.h: this is going to come back to bite me I know...
	but change the second argument of vsnprintf to long from size_t to
	quiet the msvc compiler.

1999-02-24 01:10  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: char* buf => unsigned char* buf

1999-02-24 01:09  Christoph Toshok <toshok@hungry.com>

	* arch/: monitors.c, threads.c: minor windows fixes, and we need to
	export all these functions.

1999-02-24 01:09  Christoph Toshok <toshok@hungry.com>

	* arch/signals.c: only use the signals if we've got them.

1999-02-24 01:08  Christoph Toshok <toshok@hungry.com>

	* arch/scandir.c: add a windows version of scandir (that doesn't
	sort yet).

1999-02-24 01:08  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: support windows dlls.

1999-02-24 01:07  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/_stubs/java_lang_String_stubs.c: stubs
	need to be exported.

1999-02-24 01:04  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: don't assume ":" is the path separator,
	and #ifdef headers.

1999-02-24 01:03  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.util.zip/deflater.c,
	java.util.zip/inflater.c, java.util.zip/jarfile.c,
	java.util.zip/zipentry.c, java.util.zip/zipfile.c,
	sysresource/sysresources.c: fix headers, and use O_BINARY with
	open(2) if it's available.

1999-02-24 01:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.security/: accesscontroller.c, secStubs.c,
	_stubs/java_security_AccessController_stubs.c: fix stubs for
	AccessController, and #ifdef headers.

1999-02-24 01:01  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/: addr.c, socket.c, sockin.c, sockout.c:
	#ifdef HAVE_CONFIG_H and other headers, and handle semi-gracefully
	what happens when a platform doesn't support multicast.

1999-02-24 00:59  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: class.c, classloader.c, compiler.c,
	double.c, float.c, langStubs.c, math.c, object.c, package.c,
	runtime.c, secmgr.c, string.c, system.c, thread.c, throwable.c,
	unixproc.c: #ifdef header files, and other misc windows fixes. 
	tweak the java.lang.System native methods (like
	currentTimeMilliseconds) to work on windows, and make sure we don't
	call (*env)->RegisterNatives if we don't have libffi.

1999-02-24 00:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/_stubs/java_io_Win32FileSystem_stubs.c: add
	stubs for Win32FileSystem

1999-02-24 00:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/ioStubs.c: #ifdef out the 1.1 stubs for
	now, since they break the windows build.  also, add stubs for the
	Win32FileSystem native methods.

1999-02-24 00:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/win32filesystem.c: add initial version of
	Win32FileSystem native methods.

1999-02-24 00:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/filesystem.c: #ifdef header files, and
	#define the windows filesystem class.

1999-02-24 00:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: filein.c, fileout.c: #ifdef header files

1999-02-24 00:48  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: handle windows, where they don't
	have separate owner/group read/write permissions.

1999-02-24 00:48  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/fd.c: add windows'isms

1999-02-24 00:47  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/common.c: windows include files

1999-02-24 00:45  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jniarray.c, jniclass.c, jnicpp.cpp, jnifield.c,
	jniinvoc.c, jnimeth.c, jnimon.c, jninativ.c, jniobj.c, jniref.c,
	jnirefl.c, jnisfld.c, jnismeth.c, jnistr.c, jnithrow.c, jnivm.c,
	jnivtbl.c: add #ifdef HAVE_CONFIG_H, and make sure to export things
	that need exporting.

1999-02-24 00:43  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: add windows JNIEXPORT/JNICALL and make
	sure that global functions (like JNI_CreateJavaVM) are exported.

1999-02-24 00:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: lots of things.  remove all
	dependence on the '/' for file separators and ':' for path
	separators.  also, make things case insensitive to handle windows
	files that may be UPPERCASE.

1999-02-24 00:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: #ifdef HAVE_CONFIG_H, and return
	early if the method's native func can't be resolved.  also, fix
	logging.

1999-02-24 00:38  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/log.c: #ifdef HAVE_CONFIG_H, and change #ifdef
	DEBUG to #ifdef LOGGING.

1999-02-24 00:38  Christoph Toshok <toshok@hungry.com>

	* lib/: libruntime/gc.c, libruntime/init.c,
	libruntime/interploop.c, libruntime/nsprgc.c, libruntime/objects.c,
	libruntime/op_stack.c, libruntime/primitive-class.c,
	libruntime/printf.c, libruntime/resolve.c, libruntime/sig.c,
	libruntime/stubgc.c, libruntime/zextract.c,
	libnative/java.io/unixfilesystem.c, libnative/java.io/random.c:
	#ifdef header files.

1999-02-24 00:37  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: #ifdef HAVE_CONFIG_H, and fix the
	logging stuff in this file.

1999-02-24 00:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: add #ifdefs for include files, and
	change all references of char* buf to unsigned char *buf.  also,
	for window's sake, open files with "rb" instead of "r".

1999-02-24 00:35  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/alloc.c, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/class-repository.c,
	lib/libjvmdi/src/jvmdi.c, lib/libjvmdi/src/jvmdibkp.c,
	lib/libjvmdi/src/jvmdicls.c, lib/libjvmdi/src/jvmdiev.c,
	lib/libjvmdi/src/jvmdifld.c, lib/libjvmdi/src/jvmdiloc.c,
	lib/libjvmdi/src/jvmdimm.c, lib/libjvmdi/src/jvmdimsc.c,
	lib/libjvmdi/src/jvmdimth.c, lib/libjvmdi/src/jvmdisfm.c,
	lib/libjvmdi/src/jvmdithg.c, lib/libjvmdi/src/jvmdithr.c,
	lib/libnative/java.io/objistrm.c, lib/libnative/java.io/objostrm.c,
	lib/libnative/java.io/objstrm.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.util/resbundle.c, arch/fmodf.c, arch/snprintf.c,
	arch/strerror.c, arch/monitor_test.c, arch/thread_test.c: #ifdef
	HAVE_CONFIG_H

1999-02-24 00:34  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: Add #ifdefs for headers, and add #include
	<stdlib.h> to quite msvc down.

1999-02-23 19:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Correct sig printing in debug code.

1999-02-22 12:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhar/Makefile.am: Include from $(top_builddir)/include to
	find generated config.h.

1999-02-22 12:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/system.c: Corrected variable name of
	'struc tm *' for Solaris from tm to tminfo.

1999-02-20 05:51  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: make parse_field static void.

1999-02-20 05:47  Christoph Toshok <toshok@hungry.com>

	* progs/: Makefile.am, japhar/Makefile.am, japhard/Makefile.am,
	japharh/Makefile.am: if ENABLE_JVMDI is defined, we need to link
	with libjvmdi.la

1999-02-20 05:46  Christoph Toshok <toshok@hungry.com>

	* configure.in: fix test for ENABLE_JVMDI

1999-02-20 05:46  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/Makefile.in: track change to Makefile.am

1999-02-20 05:44  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, lib/libruntime/clparse.c,
	lib/libruntime/zextract.c: little optimizations - call malloc a bit
	less when parsing classes, and on linux we can actually mmap stuff
	without it crashing.

1999-02-20 03:24  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/Makefile.am: remove the subdirectories from the
	source spec's.

1999-02-18 06:00  Christoph Toshok <toshok@hungry.com>

	* arch/snprintf.c: quiet down the compiler in lotsa-warnings mode.

1999-02-18 05:59  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: new versions of automake don't complain
	about conditionally defined LDADD stuff, so we can actually have
	this in here.

1999-02-18 05:58  Christoph Toshok <toshok@hungry.com>

	* acconfig.h: add #undef LIBJVMDI

1999-02-18 05:58  Christoph Toshok <toshok@hungry.com>

	* Makefile.am: no need to have the CLASSPATH specific distribution
	stuff.

1999-02-18 05:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/nativewrapper.c: add lots of debug
	spew to try and get 1.2 awt apps limping along.

1999-02-18 05:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c: add the 'this' pointer.

1999-02-18 05:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: add return to quiet the
	compiler.

1999-02-18 05:53  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/filesystem.c: static methods take a jclass
	parameter.

1999-02-18 05:53  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/fileout.c: correct comment so we can grep.

1999-02-18 05:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: add return to quiet the compiler
	down.

1999-02-18 05:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: fix some problems with the 1.2
	stuff -- native method names, and fix the return type of a native
	method.

1999-02-18 05:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/stubgc.c: use a cast here to quiet down the
	compiler.

1999-02-18 05:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/primitive-class.c: include primitive-class.h

1999-02-18 05:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/opstack_test.c: don't need this file anymore.

1999-02-18 05:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: we need to hack the method name to
	get around embedded _'s and other 'special' characters.

1999-02-18 05:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: initialize variable to quiet the
	compiler, and LOG => LOGGING

1999-02-18 05:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/op_stack.c: use proprocessor foo to get non-inline
	versions

1999-02-18 05:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: don't build opstack_test anymore, and
	put op_stack.c in the build if we want non-inline versions of the
	opstack functions.

1999-02-18 05:43  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/log.c: DEBUG => LOGGING

1999-02-18 05:43  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: ifdef out unused function for now

1999-02-18 05:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/method.c: add include of method.h

1999-02-18 05:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c: remove unused variable to quiet the
	compiler down.

1999-02-18 05:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: LOG => LOGGING

1999-02-18 05:41  Christoph Toshok <toshok@hungry.com>

	* include/sig.h: add prototype for SIG_formatReturnTypeToC

1999-02-18 05:41  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h: rape this file so that we can do both inlines
	and non-inlines depending on whether or not profiling is turned on.

1999-02-18 05:40  Christoph Toshok <toshok@hungry.com>

	* include/exceptions.h: add prototype for fatal_signal_handler.

1999-02-18 05:40  Christoph Toshok <toshok@hungry.com>

	* include/class-repository.h: add prototype for
	dump_class_repository

1999-02-18 05:39  Christoph Toshok <toshok@hungry.com>

	* configure.in: default using libffi to true. change the compiler
	flag for logging from LOG to LOGGING.  also add another switch,
	--enable-lotsa-warnings, that will give us the draconian warnings
	petter wants to see.  by default it's off :)

1999-02-18 05:37  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnistr.c: remove unused variable.

1999-02-18 05:37  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniref.c: remove function bodies to quite the
	compiler down.

1999-02-18 05:36  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: remove the extern for
	fatal_signal_handler, and add a return -1 to GetEnv.

1999-02-18 05:29  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h: classpath should be const char, and
	add prototypes for a couple of functions.

1999-02-18 05:26  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: scrollbar.c, scrollpane.c: 0 margin
	width/height.

1999-02-18 05:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/textarea.c: implement a 1.2 native
	method for show, and fill in the 1.1 one as well.

1999-02-18 05:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/checkbox.c: create the checkbox with
	the right labelstring.

1999-02-18 05:23  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: add a whole slew of
	native methods for 1.2, and don't set the width/height if either of
	them are 0.

1999-02-18 05:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/filedialog.c: create the margin
	width/height of 0.

1999-02-18 05:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/fontmetrics.c: add missing 1.2 native
	methods.

1999-02-18 05:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/label.c: create the label with margin
	width/height of 0.

1999-02-18 05:20  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/frame.c: add native methods, and
	create the shell with allowShellResize false.

1999-02-18 05:19  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/textfield.c: create the textfield
	with highlight thickness 1 and 0 width/height.	also, implement the
	getText native method.

1999-02-18 05:19  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/toolkit.c: don't bomb out here.

1999-02-18 05:18  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: common.c, common.h: use the NSA
	stuff, and add a method to get the label of a checkbox.

1999-02-18 05:17  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, graphicsconf.c,
	graphicsdev.c: add more 1.2 native methods

1999-02-14 02:00  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/: Makefile.am, break.c, break.h, cmd_line.c,
	cmds.h, japhard.c, stack.c, stack.h: more japhard work

1999-02-14 01:59  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: always define STATE_SUSPENDED

1999-02-14 01:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/menuitem.c: actually create
	separators if the menu item's name is '-'.  is this right?

1999-02-14 01:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/list.c: change margin height/width to
	0

1999-02-14 01:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/image.c: don't abort when
	offscreenInit is called.

1999-02-14 01:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/textarea.c: set margin height/width
	to 0

1999-02-14 01:53  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: don't handle button press
	-- let the widget do it.  this makes the choice peer work. it
	probably breaks other things, though.

1999-02-14 01:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/choice.c: (mostly) implement the
	choice peer.

1999-02-14 01:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/canvas.c: set the margin height/width
	to 0.

1999-02-14 01:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/button.c: set margin height/width to
	0.

1999-02-14 01:48  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/src/jvmdithr.c: implement GetAllThreads, and remove
	the WITH_JVMDI stuff -- we shouldn't have to ifdef the library with
	a #define that tells us whether or  not to use it :)

1999-02-14 01:47  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/src/jvmdisfm.c: use clazzfile_to_jclass here, and
	also add a check to see if the parent frame is indeed valid.

1999-02-14 01:47  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/src/jvmdicls.c: use jclass_to_clazzfile, and
	getInterface is not there anymore.

1999-02-14 01:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: make sure to include the jvmdi stuff
	(since the breakpoint opcode might be using it), and add the method
	tracing stuff.

1999-02-14 01:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: if we're building with jvmdi, call
	jdmvi_BreakpointEvent from the breakpoint opcode.

1999-02-14 01:45  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: mention -verbose:method

1999-02-14 01:43  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: src/jniinvoc.c, include/jniint.h: add
	-verbose:method for method tracing

1999-02-14 01:42  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnirefl.c: field->sig_str is not a Signature
	anymore.  it's a char*

1999-02-14 01:40  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: reformat the include line a bit, and
	add lib/libjvmdi/include

1999-02-14 01:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: change the interface checking to check
	interface superclasses as well.

1999-02-14 01:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: fix and add a couple of comments

1999-02-08 01:09  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c: now, implement it the
	right way, and plug the memory leak I had in there.

1999-02-08 00:38  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c: implement setReadOnly

1999-02-05 11:11  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/japhard.c: call JVMDI_SetEventHook

1999-02-01 14:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Remove memory leak.

1999-02-01 13:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/unixfilesystem.c: Include Linux required
	headers.

1999-02-01 06:08  Christoph Toshok <toshok@hungry.com>

	* NEWS, acconfig.h, configure.in, ltconfig, ltmain.sh,
	arch/dynamic_loading.c, arch/threads.c, include/ClazzFile.h,
	include/Makefile.am, include/dynamic_loading.h,
	include/exceptions.h, include/gc.h, include/init.h,
	include/nativeglue.h, include/objects.h, include/op_stack.h,
	include/resolve.h, include/sig.h, include/zipfile.h,
	lib/libffi/Makefile.in, lib/libffi/acconfig.h,
	lib/libffi/aclocal.m4, lib/libffi/configure,
	lib/libffi/fficonfig.h.in, lib/libffi/ltconfig,
	lib/libffi/ltmain.sh, lib/libffi/include/Makefile.in,
	lib/libffi/src/Makefile.in, lib/libjni/include/jni.h,
	lib/libjni/include/jniint.h, lib/libjni/include/jnitypes.h.in,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnicpp.cpp, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnirefl.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, lib/libjni/src/jnivtbl.c,
	lib/libnative/Makefile.am, lib/libnative/java.io/Makefile.am,
	lib/libnative/java.io/common.c, lib/libnative/java.io/common.h,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/filesystem.c,
	lib/libnative/java.io/ioStubs.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.io/_stubs/java_io_FileDescriptor_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileInputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileOutputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileSystem_stubs.c,
	lib/libnative/java.io/_stubs/java_io_File_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectInputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectOutputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectStreamClass_stubs.c,
	lib/libnative/java.io/_stubs/java_io_RandomAccessFile_stubs.c,
	lib/libnative/java.io/_stubs/java_io_UnixFileSystem_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileDescriptor_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileInputStream_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileOutputStream_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileSystem_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_File_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectInputStream_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectOutputStream_stubs.c
	,
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectStreamClass_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_RandomAccessFile_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_UnixFileSystem_stubs.c,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/package.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Class_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Compiler_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Double_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Float_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Math_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Object_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Package_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Runtime_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_SecurityManager_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_System_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Thread_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Throwable_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_UNIXProcess_stubs.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Array_stub
	s.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Constructo
	r_stubs.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Field_stub
	s.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Method_stu
	bs.c, lib/libnative/java.net/addr.c,
	lib/libnative/java.net/netStubs.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.net/_stubs/java_net_InetAddressImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_PlainDatagramSocketImpl_stub
	s.c,
	lib/libnative/java.net/_stubs/java_net_PlainSocketImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketInputStream_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketOutputStream_stubs.c,
	lib/libnative/java.security/.cvsignore,
	lib/libnative/java.security/Makefile.am,
	lib/libnative/java.security/accesscontroller.c,
	lib/libnative/java.security/secStubs.c,
	lib/libnative/java.security/_stubs/java_security_AccessController_s
	tubs.c, lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util/_stubs/java_util_ResourceBundle_stubs.c,
	lib/libnative/java.util.zip/.cvsignore,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/jarfile.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/java.util.zip/zipentry.c,
	lib/libnative/java.util.zip/zipfile.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Adler32_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_CRC32_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Deflater_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Inflater_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_ZipEntry_stubs.c,
	lib/libnative/sun.awt.font/.cvsignore,
	lib/libnative/sun.awt.font/Makefile.am,
	lib/libnative/sun.awt.font/nativewrapper.c,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/graphicsenv.c,
	lib/libnative/sun.awt.motif/initids.c,
	lib/libnative/sun.awt.motif/textarea.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_image_ImageRepresentatio
	n_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_image_OffScreenImageSour
	ce_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_InputThread_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MButtonPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCanvasPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCheckboxMenuItemP
	eer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCheckboxPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MChoicePeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MComponentPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MDialogPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MDrawingSurfaceInf
	o_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MFileDialogPeer_st
	ubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MFramePeer_stubs.c
	,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MLabelPeer_stubs.c
	,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MListPeer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuBarPeer_stubs
	.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuItemPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuPeer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MPopupMenuPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollPanePeer_st
	ubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollbarPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextAreaPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextFieldPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MToolkit_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MWindowPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11FontMetrics_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Graphics_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Selection_stubs
	.c, lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c,
	lib/libruntime/Makefile.am, lib/libruntime/abort.c,
	lib/libruntime/array-class.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/gc.c,
	lib/libruntime/getopt.c, lib/libruntime/getopt1.c,
	lib/libruntime/init.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/method.c,
	lib/libruntime/nativeglue.c, lib/libruntime/nsprgc.c,
	lib/libruntime/objects.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c,
	lib/libruntime/stubgc.c, lib/libruntime/zextract.c,
	progs/Makefile.am, progs/dump-class/Makefile.am,
	progs/dump-class/clazz.c, progs/dump-class/dump-class.c,
	progs/dump-class/dump-class.h, progs/dump-class/field.c,
	progs/dump-class/html.c, progs/dump-class/method.c,
	progs/dump-class/misc.c, progs/dump-class/output.c,
	progs/japhar/Makefile.am, progs/japhar/japhar.c,
	progs/japhard/Makefile.am, progs/japhard/break.c,
	progs/japhard/cmd_line.c, progs/japhard/japhard.c,
	progs/japharh/Makefile.am, progs/japharh/clazz.c,
	progs/japharh/dump.c, progs/japharh/field.c,
	progs/japharh/header.c, progs/japharh/html.c,
	progs/japharh/japharh.c, progs/japharh/japharh.h,
	progs/japharh/method.c, progs/japharh/misc.c,
	progs/japharh/output.c, progs/japharh/stubs.c, scripts/.cvsignore,
	scripts/Makefile.am, scripts/extcheck.in, scripts/japhar-config.in,
	scripts/jarsigner.in, scripts/javadoc.in, scripts/javah.in,
	scripts/javakey.in, scripts/keytool.in, scripts/policytool.in,
	scripts/rmid.in, scripts/tnameserv.in,
	testsuite/java.bench/.cvsignore,
	testsuite/java.lang/PackageTest.java, www/src/getting.src,
	www/src/index.src, www/src/related.src: merge the 1.2 branch back
	onto the head.	this is (quite frankly) a huge, HUGE change, but
	i've done my best to verify that things are still working.  there
	are configuration issues to address still, but oh well - here goes
	:)

1999-02-01 06:06  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/src/: Makefile.am, jvmdi.c, jvmdifld.c, jvmdimth.c,
	jvmdisfm.c, jvmdithr.c: teach jvmdi that JThreadInfo's are a thread
	object's native state, not in their PrivateInfo field anymore.

1999-01-29 07:24  Christoph Toshok <toshok@hungry.com>

	* configure.in (JDK_12_BRANCH): add checks for more functions (nan
	type things, and finite/infinite tests.)

1999-01-29 07:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c (JDK_12_BRANCH): remove the call to
	toplevel_exception_handler, since we don't want to print it here.

1999-01-29 07:18  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c (JDK_12_BRANCH): don't describe the
	exception here.

1999-01-29 07:17  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniobj.c (JDK_12_BRANCH): get rid of the duplicate
	exception messages.

1999-01-29 07:12  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/graphicsenv.c (JDK_12_BRANCH):
	hardcode some dummy values ('fixed' for a font, and 1 for the
	number of screens.)

1999-01-29 07:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/nativewrapper.c (JDK_12_BRANCH):
	hardcode path into NativeFontWrapper.getFontPath just to get the
	ball rolling.

1999-01-29 07:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/fd.c, java.io/objstrm.c,
	java.io/random.c, java.lang/class.c, java.lang/classloader.c,
	java.lang/double.c, java.lang/langStubs.c, java.lang/runtime.c,
	java.lang/secmgr.c, java.lang/system.c (JDK_12_BRANCH): make sure
	we don't actually ifdef things out for jdk1.1 or jdk1.2.  we're
	shooting to support both of them (as well as classpath) - let's see
	sun do *that* :)

1999-01-29 07:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang.reflect/array.c (JDK_12_BRANCH): i can't
	believe this hadn't been caught before... ClazzFiles are *not* the
	same thing as jclasses anymore :)

1999-01-28 16:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS, www/src/news.src: Updated release date and news on web.

1999-01-28 16:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Undo last change.

1999-01-27 20:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: If X is missing, don't try to compile motif code.

1999-01-27 19:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Change non-portable -Wl,rpath,... to libtool
	translated -rpath ...

1999-01-27 17:08  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/snprintf.c: Made comment about copied file and include
	"compat.h" to get prototype.

1999-01-27 16:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/Makefile.am, arch/snprintf.c,
	arch/vsnprintf.c: Cleaned up substitute function handling.  Copied
	snprintf.c from samba 2.0.

1999-01-27 11:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Mention the Classpath integration patches.

1999-01-27 11:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Make lib/ before arch/, as arch/ needs
	lib/libjni/include/jnitypes.h.

1999-01-27 11:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.am: Added forgotten file init.h

1999-01-27 10:57  Christoph Toshok <toshok@hungry.com>

	* COPYING.LIB: add COPYING.LIB to the head from the JDK_12_BRANCH

1999-01-27 10:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Added COPYING.LIB to EXTRA_DIST.

1999-01-27 10:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* HACKING: Note about non-working SPARC/Solaris port.

1999-01-27 05:51  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c (JDK_12_BRANCH): switch the order in
	which i pop value1 and value2 in dcmpl -- oops :)  this makes both
	gnu/testlet/java/lang/Math/min and gnu/testlet/java/lang/Math/max
	work.

1999-01-27 05:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c (JDK_12_BRANCH): add NaN support in
	fcmp? and dfmp? calls.	makes the gnu/testlet/java/lang/Math/min
	test work a bit better.

1999-01-27 01:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c (JDK_12_BRANCH): handle native
	methods properly when printing out the stack.

1999-01-27 01:01  Christoph Toshok <toshok@hungry.com>

	* ltconfig, ltmain.sh, lib/libffi/Makefile.in,
	lib/libffi/acconfig.h, lib/libffi/aclocal.m4, lib/libffi/configure,
	lib/libffi/fficonfig.h.in, lib/libffi/ltconfig,
	lib/libffi/ltmain.sh (JDK_12_BRANCH): misc changes owing to moving
	to automake 1.4 and libtool 1.2d.

1999-01-27 00:57  Christoph Toshok <toshok@hungry.com>

	* NEWS (JDK_12_BRANCH): add blurb about all the 1.2 stuff i've been
	doing.

1999-01-27 00:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/jarfile.c: file jarfile.c was
	initially added on branch JDK_12_BRANCH.

1999-01-27 00:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/: Makefile.am, inflater.c, jarfile.c,
	zipentry.c, zipfile.c (JDK_12_BRANCH): implement the native methods
	necessary to get the Inflater working.	there is some duplication
	of code between here and zextract.c which should be addressed. 
	this brings up the java.util.zip code to the level required for
	java code to read .jar files.  yay.

1999-01-27 00:51  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c (JDK_12_BRANCH): add Mode line at
	the top so indenting doesn't get all screwed up.

1999-01-27 00:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: Makefile.am, getopt.c, getopt1.c
	(JDK_12_BRANCH): we don't use these files anymore

1999-01-27 00:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c (JDK_12_BRANCH): make some functions
	static that weren't before.

1999-01-27 00:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c (JDK_12_BRANCH): don't need to call
	load_parent_classes, as getSuperClass will do it for us.

1999-01-27 00:49  Christoph Toshok <toshok@hungry.com>

	* include/resolve.h, lib/libruntime/resolve.c (JDK_12_BRANCH): make
	use of the sorted list of ZipDirectories to do a binary search, and
	remove some dead code.

1999-01-27 00:48  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnicpp.cpp (JDK_12_BRANCH): make sure to zero out
	everything that should be zeroed out.

1999-01-27 00:47  Christoph Toshok <toshok@hungry.com>

	* include/exceptions.h, lib/libruntime/exceptions.c,
	lib/libnative/java.lang/throwable.c, lib/libjni/src/jnithrow.c
	(JDK_12_BRANCH): implement exceptions properly, with
	fillInStackTrace and printStackTrace working as expected.

1999-01-27 00:46  Christoph Toshok <toshok@hungry.com>

	* include/zipfile.h, lib/libruntime/zextract.c (JDK_12_BRANCH):
	sort the ZipDirectory*'s once we've read in the central directory.

1999-01-27 00:46  Christoph Toshok <toshok@hungry.com>

	* configure.in (JDK_12_BRANCH): check for mergesort and qsort (used
	for sorting the zip archive's contents) and generate a Makefile for
	libnative/sun.awt.font/Makefile.

1999-01-27 00:43  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c (JDK_12_BRANCH): track the
	JGC_initCollector change.

1999-01-27 00:43  Christoph Toshok <toshok@hungry.com>

	* include/gc.h, lib/libruntime/gc.c, lib/libruntime/nsprgc.c,
	lib/libruntime/stubgc.c (JDK_12_BRANCH): change the gc interface
	slightly -- tell gc's when they should be verbose, and also change
	the way we get pointers to the GC structs, so that gc's can embed
	state in their structs.

1999-01-27 00:38  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/: clazz.c, dump.c, field.c, header.c, japharh.c,
	japharh.h, method.c, misc.c, output.c, stubs.c (JDK_12_BRANCH):
	switch to the LGPL for japharh.

1999-01-27 00:38  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c (JDK_12_BRANCH): switch to the LGPL for
	this file too, and be smarter about the classpath handling (also,
	we add '.' to the tail end of the classpath, so files in the local
	directory will be found.

1999-01-27 00:34  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, lib/libruntime/clparse.c (JDK_12_BRANCH):
	don't use calloc where malloc will suffice, and remove the unused
	getInterface call.

1999-01-27 00:33  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c (JDK_12_BRANCH): move this
	function up above the registerNatives function, and remove the
	ifdef.

1999-01-27 00:32  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c (JDK_12_BRANCH): use
	DLL_findFunctionInLib to implement NativeLibrary.find

1999-01-27 00:32  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, include/dynamic_loading.h
	(JDK_12_BRANCH): handle_for_function_in_lib  =>
	DLL_findFunctionInLib, and make it public.

1999-01-27 00:31  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c (JDK_12_BRANCH): we don't use
	vm._args.exit anymore, since vm._args is going away soon.

1999-01-27 00:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/unixproc.c (JDK_12_BRANCH): don't ifdef
	things out... just label them with a comment.

1999-01-27 00:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/nativewrapper.c: file nativewrapper.c
	was initially added on branch JDK_12_BRANCH.

1999-01-27 00:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/Makefile.am: file Makefile.am was
	initially added on branch JDK_12_BRANCH.

1999-01-27 00:29  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/: .cvsignore, Makefile.am,
	nativewrapper.c (JDK_12_BRANCH): Add native methods for
	sun.awt.font

1999-01-27 00:29  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.font/.cvsignore: file .cvsignore was
	initially added on branch JDK_12_BRANCH.

1999-01-27 00:25  Christoph Toshok <toshok@hungry.com>

	* COPYING.LIB (JDK_12_BRANCH): add LGPL

1999-01-26 04:23  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c (JDK_12_BRANCH): reformat these lines,
	to make them a bit more reasable.

1999-01-26 04:22  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnicpp.cpp (JDK_12_BRANCH): zero out
	_verbose_flags

1999-01-26 01:59  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c (JDK_12_BRANCH): take out the
	SYS_MMAN_H stuff, since it's coring on freebsd.  need to readdress
	this later.

1999-01-26 01:50  Christoph Toshok <toshok@hungry.com>

	* scripts/javah.in: file javah.in was initially added on branch
	JDK_12_BRANCH.

1999-01-26 01:50  Christoph Toshok <toshok@hungry.com>

	* scripts/: .cvsignore, Makefile.am, javadoc.in, javah.in
	(JDK_12_BRANCH): correct the path of javadoc for jdk1.2, and add a
	javah script.

1999-01-26 01:49  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c (JDK_12_BRANCH): ifdef out the weird vm
	version trick, and don't try to describe the exception when the JVM
	couldn't be created.

1999-01-26 01:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c (JDK_12_BRANCH): with the switch to
	NSA_ for jclass/clazzfile mapping, we don't need to add a bogus
	extra field.

1999-01-26 01:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c (JDK_12_BRANCH): switch to using NSA for
	jclass_to_clazzfile/clazzfile_to_jclass

1999-01-26 01:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c (JDK_12_BRANCH): we shouldn't really dump
	core when our abort hook gets called, unless we're in DEBUG mode.

1999-01-25 00:58  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/package.c (JDK_12_BRANCH): implement
	j.l.Package native methods.

1999-01-24 01:42  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c (JDK_12_BRANCH): implement
	createFileExclusively

1999-01-24 01:35  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c (JDK_12_BRANCH): implement
	setLastModificationTime

1999-01-24 01:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c (JDK_12_BRANCH): implement
	delete

1999-01-24 01:19  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c (JDK_12_BRANCH): implement
	getLength and rename

1999-01-24 01:05  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c (JDK_12_BRANCH): implement
	createDirectory

1999-01-24 00:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/Makefile.am (JDK_12_BRANCH): don't
	conditionally define INCLUDES

1999-01-24 00:20  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/Makefile.am (JDK_12_BRANCH): don't conditionally
	define SUBDIRS

1999-01-24 00:16  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am (JDK_12_BRANCH): don't use += for
	INCLUDES

1999-01-21 14:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/arrays.h: Prototype for array_element_type().

1999-01-21 14:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Only compile with -pedantic is --ansi was given to
	configure.

1999-01-21 03:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c (JDK_12_BRANCH): reformat a few
	calls, and undo a change that broke return values (at least for
	native methods, and probably for all methods.)

1999-01-18 12:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* doc/src/texinfo.tex: Add required file.

1999-01-18 11:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/objects.h, lib/libruntime/arrays.c,
	lib/libruntime/interpfunc.c, lib/libruntime/objects.c: Corrected
	opcode checkcast and instanceof.

1999-01-17 20:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/: japhar/japhar.c, japharh/header.c, japharh/japharh.h,
	japharh/stubs.c: Remove warnings.

1999-01-17 19:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: java.lang/classloader.c, java.lang/double.c,
	java.net/socket.c, sysresource/sysresources.c: Remove warnings. 
	Cleanup.

1999-01-17 19:26  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/lib/java.exp: Handle compiler errors as XFAIL, and
	output something when the compiler fails.

1999-01-17 19:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/ArrayCastTest.java: Test casting of arrays
	with primitive types also.

1999-01-17 19:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/jnitypes.h.in: Inform that jnitypes.h is
	generated by configure.

1999-01-16 17:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libnative/Makefile.am, libnative/java.util.zip/Makefile.am,
	libruntime/Makefile.am: Make this work with automake 1.4.

1999-01-16 16:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: interpfunc.c, objects.c: Cleanup.

1999-01-16 16:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: More informative message in
	ClassCastException.

1999-01-16 16:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/ArrayCastTest.java: Test if opcode checkcast
	and instanceof works with arrays.

1999-01-15 17:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, lib/libnative/java.lang/system.c: From Aaron M.
	Renn <arenn@urbanophile.com> Initialize system property
	user.timezone from system clock.

1999-01-14 11:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnistr.c: Cleanup, logging and documentation.

1999-01-14 11:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/arrays.c, lib/libruntime/interpfunc.c,
	include/arrays.h, lib/libjni/src/jniarray.c: Bugfix.  Corrected
	classname of multidimentional arrays.  The correct one is
	'[[[Lclass;', not the earlier used '[L[[Lclass;;' or '[Lclass;'.

1999-01-13 20:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/string.c: Add monitor to protect static
	list and make sure native method java.lang.String.intern() is
	thread safe.  Typo fixed.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/output.c: file output.c was initially added on
	branch JDK_12_BRANCH.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/misc.c: file misc.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/method.c: file method.c was initially added on
	branch JDK_12_BRANCH.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/html.c: file html.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/field.c: file field.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/dump.c: file dump.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:26  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/clazz.c: file clazz.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/sun.awt.motif/_stubs/sun_awt_image_OffScreenImageSour
	ce_stubs.c: file sun_awt_image_OffScreenImageSource_stubs.c was
	initially added on branch JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/sun.awt.motif/_stubs/sun_awt_image_ImageRepresentatio
	n_stubs.c: file sun_awt_image_ImageRepresentation_stubs.c was
	initially added on branch JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/graphicsenv.c: file graphicsenv.c was
	initially added on branch JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/initids.c: file initids.c was
	initially added on branch JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.util.zip/_stubs/java_util_zip_ZipEntry_stubs.c:
	file java_util_zip_ZipEntry_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.security/_stubs/java_security_AccessController_s
	tubs.c: file java_security_AccessController_stubs.c was initially
	added on branch JDK_12_BRANCH.

1999-01-13 09:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/_stubs/java_lang_Package_stubs.c: file
	java_lang_Package_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.io/_stubs-1.1/java_io_RandomAccessFile_stubs.c:
	file java_io_RandomAccessFile_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectStreamClass_stubs.c:
	file java_io_ObjectStreamClass_stubs.c was initially added on
	branch JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectOutputStream_stubs.c
	: file java_io_ObjectOutputStream_stubs.c was initially added on
	branch JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectInputStream_stubs.c:
	file java_io_ObjectInputStream_stubs.c was initially added on
	branch JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/_stubs-1.1/java_io_File_stubs.c: file
	java_io_File_stubs.c was initially added on branch JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	*
	lib/libnative/java.io/_stubs-1.1/java_io_FileOutputStream_stubs.c:
	file java_io_FileOutputStream_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/_stubs-1.1/java_io_FileInputStream_stubs.c:
	file java_io_FileInputStream_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/_stubs-1.1/java_io_FileDescriptor_stubs.c:
	file java_io_FileDescriptor_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: _stubs/java_io_UnixFileSystem_stubs.c,
	_stubs-1.1/java_io_UnixFileSystem_stubs.c: file
	java_io_UnixFileSystem_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: _stubs/java_io_FileSystem_stubs.c,
	_stubs-1.1/java_io_FileSystem_stubs.c: file
	java_io_FileSystem_stubs.c was initially added on branch
	JDK_12_BRANCH.

1999-01-13 09:24  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, arch/dynamic_loading.c,
	include/ClazzFile.h, include/dynamic_loading.h, include/objects.h,
	include/op_stack.h, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjvmdi/src/jvmdifld.c, lib/libjvmdi/src/jvmdimth.c,
	lib/libnative/java.io/Makefile.am, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/ioStubs.c,
	lib/libnative/java.io/objstrm.c, lib/libnative/java.io/random.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.io/_stubs/java_io_FileDescriptor_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileInputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileOutputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileSystem_stubs.c,
	lib/libnative/java.io/_stubs/java_io_File_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectInputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectOutputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectStreamClass_stubs.c,
	lib/libnative/java.io/_stubs/java_io_RandomAccessFile_stubs.c,
	lib/libnative/java.io/_stubs/java_io_UnixFileSystem_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileDescriptor_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileInputStream_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileOutputStream_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_FileSystem_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_File_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectInputStream_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectOutputStream_stubs.c
	,
	lib/libnative/java.io/_stubs-1.1/java_io_ObjectStreamClass_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_RandomAccessFile_stubs.c,
	lib/libnative/java.io/_stubs-1.1/java_io_UnixFileSystem_stubs.c,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Class_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Compiler_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Double_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Float_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Math_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Object_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Package_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Runtime_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_SecurityManager_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_System_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Thread_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Throwable_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_UNIXProcess_stubs.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Array_stub
	s.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Constructo
	r_stubs.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Field_stub
	s.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Method_stu
	bs.c, lib/libnative/java.net/netStubs.c,
	lib/libnative/java.net/socket.c, lib/libnative/java.net/sockin.c,
	lib/libnative/java.net/sockout.c,
	lib/libnative/java.net/_stubs/java_net_InetAddressImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_PlainDatagramSocketImpl_stub
	s.c,
	lib/libnative/java.net/_stubs/java_net_PlainSocketImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketInputStream_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketOutputStream_stubs.c,
	lib/libnative/java.security/secStubs.c,
	lib/libnative/java.security/_stubs/java_security_AccessController_s
	tubs.c, lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util/_stubs/java_util_ResourceBundle_stubs.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Adler32_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_CRC32_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Deflater_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Inflater_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_ZipEntry_stubs.c,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/graphicsenv.c,
	lib/libnative/sun.awt.motif/initids.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_image_ImageRepresentatio
	n_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_image_OffScreenImageSour
	ce_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_InputThread_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MButtonPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCanvasPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCheckboxMenuItemP
	eer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCheckboxPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MChoicePeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MComponentPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MDialogPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MDrawingSurfaceInf
	o_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MFileDialogPeer_st
	ubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MFramePeer_stubs.c
	,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MLabelPeer_stubs.c
	,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MListPeer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuBarPeer_stubs
	.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuItemPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuPeer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MPopupMenuPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollPanePeer_st
	ubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollbarPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextAreaPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextFieldPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MToolkit_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MWindowPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11FontMetrics_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Graphics_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Selection_stubs
	.c, lib/libnative/sysresource/sysresStubs.c,
	lib/libruntime/abort.c, lib/libruntime/array-class.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/method.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/resolve.c,
	lib/libruntime/sig.c, progs/Makefile.am,
	progs/dump-class/Makefile.am, progs/dump-class/clazz.c,
	progs/dump-class/dump-class.c, progs/dump-class/dump-class.h,
	progs/dump-class/field.c, progs/dump-class/html.c,
	progs/dump-class/method.c, progs/dump-class/misc.c,
	progs/dump-class/output.c, progs/japhar/Makefile.am,
	progs/japhar/japhar.c, progs/japharh/Makefile.am,
	progs/japharh/clazz.c, progs/japharh/dump.c, progs/japharh/field.c,
	progs/japharh/header.c, progs/japharh/html.c,
	progs/japharh/japharh.c, progs/japharh/japharh.h,
	progs/japharh/method.c, progs/japharh/misc.c,
	progs/japharh/output.c, progs/japharh/stubs.c (JDK_12_BRANCH):
	checkpoint: lots of changes made over xmas and new year's.  fixes
	and such coming later.

1999-01-12 10:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/double.c: Fixed bug crashing 'new
	Float(null)' reported by Brian Jones <cbj@gnu.org>.

1999-01-12 02:51  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/FloatStringConvTest.java: Float(null) test

1999-01-11 15:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* doc/src/japhar.texi: Added info dir entry.

1999-01-11 15:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: java.lang/class.c, java.lang/classloader.c,
	java.lang/object.c, java.lang/runtime.c, java.lang/system.c,
	java.lang/thread.c, java.lang.reflect/constructor.c: From Aaron M.
	Renn <arenn@urbanophile.com> Classpath integration changes.  Maybe
	these should be moved into their own files?

1999-01-11 14:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* .cvsignore: Ignore config.h.in generated from autoheader.

1999-01-11 14:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/FloatStringConvTest.java: Test to try to
	trigger bug reported by Brian Jones <cbj@nortel.net>, about bus
	error from 'new Float(String)'.

1999-01-11 14:26  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libjni/src/jnirefl.c, libruntime/nativeglue.c: From John
	Keiser <John.Keiser@mci.com> Changes reflection to use the native
	state methods.

1999-01-11 13:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Save cache values before JDK test, as it might stop
	configure.

1999-01-06 19:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: From Aaron M. Renn
	<arenn@urbanophile.com> Correct signature of multidimentional
	arrays in opcode anewarray.
